<?php

namespace App\Http\Controllers;

use Flash;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Response;
use Prettus\Validator\Exceptions\ValidatorException;
use DB;

class LocationdetailsController extends Controller
{
     public function country(){
         $domain_address_code = session('domain_address_setup');
         if(empty($domain_address_code)){
            $domain_address_code='JO';
         }
         $sqlcountry=DB::select("SELECT value,GROUP_CONCAT(scope_id SEPARATOR ',') AS `store_id`  FROM `core_config_data` WHERE path='general/country/destinations' AND value='$domain_address_code' group by value order by config_id asc"); 
         $countryy  = array();
         $s1 = 0;
         foreach($sqlcountry as $country){
            $explode1=explode(',',$country->store_id);
            $countrycode=$country->value;
            $store_id1=isset($explode1[0]) ? $explode1[0] :'';
            $stores1=DB::select("SELECT code FROM store WHERE store_id='$store_id1'");
            $codeurl=isset($stores1[0]->code) ? $stores1[0]->code : '';
            $msp_tfa_country_codes=DB::select("SELECT name FROM msp_tfa_country_codes WHERE code='$countrycode'");
            $countryname=isset($msp_tfa_country_codes[0]->name) ? $msp_tfa_country_codes[0]->name : '';
            $countryy[$s1]['country_name'] = $countryname;
            $countryy[$s1]['country_code'] = $countrycode;
            $s1++;
        }
        return $countryy;
    }
    public function index()
    {
          $countryy = $this->country();
          $country_code = $countryy[0]['country_code'];
          
          $locationdetails;
          if(isset($_GET["search"]) && $_GET["search"] != ""){
              $search = $_GET["search"];
            $locationdetails = DB::table('location_details')->join('locations', 'locations.id', '=', 'location_details.location_id')->where('locations.status','=','1')->Where('location_details.area_name','LIKE',"%{$search}%")->orWhere('locations.name','LIKE',"%{$search}%")->orderBy('location_details.id','DESC')->select('*', 'location_details.id as locdec_id', 'locations.id as loc_id', 'location_details.store_id as locdec_store_id')->paginate(10);
          }else{
              $locationdetails = DB::table('location_details')->join('locations', 'locations.id', '=', 'location_details.location_id')->where('locations.status','=','1')->where('location_details.country_code','=',$country_code)->orderBy('location_details.id','DESC')->select('*', 'location_details.id as locdec_id', 'locations.id as loc_id', 'location_details.store_id as locdec_store_id')->paginate(10);
              
            //   $locationdetails = DB::select("SELECT *, location_details.id as locdec_id,locations.id as loc_id FROM location_details INNER JOIN locations ON locations.id = location_details.location_id where locations.status='1' ORDER BY location_details.id DESC")->paginate(10);
          }
        $store = DB::table('store_group')->where('group_id','!=','0')->get();
        return view('location_details/index', ['locationdetails' => $locationdetails,'country'=>$countryy, 'store'=>$store,]);
    }
    public function create()
    {
         $countryy = $this->country();
         $country_code = $countryy[0]['country_code'];
         $locations = DB::table('locations')->where('country_code','=',$country_code)->orderBy('id','DESC')->get();
         $store = DB::table('store_group')->where('group_id','!=','0')->get();
         $countryy = $this->country();
         return view('location_details.create',['locations'=>$locations, 'country'=>$countryy,'store'=>$store]);
        
    }

    public function store(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        try {
        $date_added	= date('Y-m-d H:i:s');
        $location_id = isset($request->location_id)? $request->location_id : "";
        $area_name = isset($request->area_name)? $request->area_name : "";
        $country_code = isset($request->country_code)? $request->country_code : "";
        $delivery_charge = isset($request->delivery_charge)? $request->delivery_charge : "";
        $status = isset($request->status)? $request->status : "";
        $implodestoreid = isset($request->store_id)? $request->store_id : "";
        $latitude = isset($request->latitude)? $request->latitude : "";
        $longitude = isset($request->longitude)? $request->longitude : "";
        $latlng=$latitude.','.$longitude;
        $area="";
        if(!empty($latitude)){
            // Get JSON results from this request
            $geo = file_get_contents('https://maps.googleapis.com/maps/api/geocode/json?key=AIzaSyD3aB7FcaMNt6sx_-P6DqK32vYgO6QA4n4&latlng='.urlencode($latlng).'&sensor=false');
            
            // Convert the JSON to an array
            
            $geo = json_decode($geo, true);
            $response=array();
            $address_components=$geo['results'][0]['address_components'];
            if(!empty($address_components)){
                foreach($address_components as $address1){
                  $types = $address1['types'];
                  if(in_array("sublocality_level_1",$types)){
                    $area=$address1['long_name'];
                  }
                  if(empty($area)){
                      if(in_array("neighborhood",$types)){
                        $area=$address1['long_name'];
                      }
                  }
                  if(empty($area)){
                      if(in_array("route",$types)){
                        $area=$address1['long_name'];
                      }
                  }
                  if(empty($area)){
                      if(in_array("plus_code",$types)){
                        $area=$address1['long_name'];
                      }
                  }
                  if(empty($area)){
                      if(in_array("administrative_area_level_2",$types)){
                        $area=$address1['long_name'];
                      }
                  }
                  if(empty($area)){
                      if(in_array("administrative_area_level_1",$types)){
                        $area=$address1['long_name'];
                      }
                  }
                }
            }
           $area=str_replace("'","",$area);
        }
        
         //   DB::table('location_details')->insert(['location_id'=>$request->location_id,'area_name'=>$request->area_name,'latitude'=>$request->latitude,'longitude'=>$request->longitude,'country_code'=>$request->country_code,'store_id'=>$implodestoreid,'status'=>$request->status,'created'=>$date_added]);
         
            DB::table('location_details')->insert(['location_id'=>$location_id,'area_name'=>$area_name,'latitude'=>$latitude,'longitude'=>$longitude,'country_code'=>$country_code,'status'=>$status,'store_id'=>$implodestoreid,'delivery_charge'=>$delivery_charge,'location_short_name'=>$area,'created'=>$date_added]);
        
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }

        Flash::success('saved successfully.');

        return redirect(route('location_details.index'));
    }
    public function show($id)
    {
    }

    public function edit($id)
    {
        // if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
        //     Flash::error('Permission denied');
        //     return redirect(route('location_details.index'));
        // }
       
	
	    $countryy = $this->country();
        $country_code = $countryy[0]['country_code'];
        
	    $result = array();		
		$result['message'] = array();
		
		$editlocationdetails = DB::table('location_details')->where('country_code','=',$country_code)->where('id','=',$id)->get();
		$result['editlocationdetails'] = $editlocationdetails;		
		$locations = DB::table('locations')->where('country_code','=',$country_code)->where('status','=','1')->get();
		$result['locations'] = $locations;
		$store = DB::select("SELECT * FROM store_group INNER JOIN location_details on location_details.store_id=store_group.group_id where location_details.id=$id and location_details.country_code=\"$country_code\"");
        if (empty($editlocationdetails)) {
            Flash::error('Locations not found');

            return redirect(route('location_details.index'));
        }
        
        return view("location_details.edit",['editlocationdetails' => $editlocationdetails, 'country'=>$countryy, 'store'=>$store])->with('result',$result);
        
    }

    public function update($id,Request $request)
    {
        // if (env('APP_DEMO', false)) {
        //     Flash::warning('This is only demo app you can\'t change this section ');
        //     return redirect(route('users.profile'));
        // }
        // if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
        //     Flash::error('Permission denied');
        //     return redirect(route('users.profile'));
        // }

        $locationdetails = DB::table('location_details')->where('id','=',$request->id)->get();
        $locations = DB::table('locations')->orderBy('id','DESC')->get();
        if (empty($locationdetails)) {
            Flash::error('Locations not found');
            return redirect(route('users.profile'));
        }
        try {
        $last_modified=date('Y-m-d H:i:s');
        $location_id = isset($request->location_id)? $request->location_id : "";
        $area_name = isset($request->area_name)? $request->area_name : "";
        $country_code = isset($request->country_code)? $request->country_code : "";
        $delivery_charge = isset($request->delivery_charge)? $request->delivery_charge : "";
        $status = isset($request->status)? $request->status : "";
        $implodestoreid = isset($request->store_id)? $request->store_id : "";
        $latitude = isset($request->latitude)? $request->latitude : "";
        $longitude = isset($request->longitude)? $request->longitude : "";
        $latlng=$latitude.','.$longitude;
        $area="";
        if(!empty($latitude)){
            // Get JSON results from this request
            $geo = file_get_contents('https://maps.googleapis.com/maps/api/geocode/json?key=AIzaSyD3aB7FcaMNt6sx_-P6DqK32vYgO6QA4n4&latlng='.urlencode($latlng).'&sensor=false');
            
            // Convert the JSON to an array
            
            $geo = json_decode($geo, true);
            $response=array();
            $address_components=$geo['results'][0]['address_components'];
            if(!empty($address_components)){
                foreach($address_components as $address1){
                  $types = $address1['types'];
                  if(in_array("sublocality_level_1",$types)){
                    $area=$address1['long_name'];
                  }
                  if(empty($area)){
                      if(in_array("neighborhood",$types)){
                        $area=$address1['long_name'];
                      }
                  }
                  if(empty($area)){
                      if(in_array("route",$types)){
                        $area=$address1['long_name'];
                      }
                  }
                  if(empty($area)){
                      if(in_array("plus_code",$types)){
                        $area=$address1['long_name'];
                      }
                  }
                  if(empty($area)){
                      if(in_array("administrative_area_level_2",$types)){
                        $area=$address1['long_name'];
                      }
                  }
                  if(empty($area)){
                      if(in_array("administrative_area_level_1",$types)){
                        $area=$address1['long_name'];
                      }
                  }
                }
            }
           $area=str_replace("'","",$area);
        }
        
		DB::table('location_details')->where('id','=',$id)->update(['location_id'=>$location_id,'area_name'=>$area_name,'latitude'=>$latitude,'longitude'=>$longitude,'country_code'=>$country_code,'store_id'=>$implodestoreid,'delivery_charge'=>$delivery_charge,'status'=>$status,'location_short_name'=>$area,'modified'=>$last_modified]);
		
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }


        Flash::success('Location Details updated successfully.');

        return redirect()->back();

    }

    public function destroy($id)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        
        $locationdetails=DB::table('location_details')->where('id','=',$id)->get();
		
        if (empty($locationdetails)) {
            Flash::error('Location Details not found');

            return redirect(route('location_details.index'));
        }

        DB::table('location_details')->where('id','=',$id)->delete();

        Flash::success('Location Details deleted successfully.');

        return redirect(route('location_details.index'));
    }

    public function removeMedia(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
        } else {
            if (auth()->user()->can('medias.delete')) {
                $input = $request->all();
                $user = $this->VehicleRepository->findWithoutFail($input['id']);
                try {
                    if ($user->hasMedia($input['collection'])) {
                        $user->getFirstMedia($input['collection'])->delete();
                    }
                } catch (\Exception $e) {
                    Log::error($e->getMessage());
                }
            }
        }
    }
}
