<?php

namespace App\Http\Controllers;

use Flash;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Response;
use Prettus\Validator\Exceptions\ValidatorException;
use DB;

class StoreController extends Controller
{
     public function country(){
         $domain_address_code = session('domain_address_setup'); 
         if(empty($domain_address_code)){
            $domain_address_code='JO';
         }
         $sqlcountry=DB::select("SELECT value,GROUP_CONCAT(scope_id SEPARATOR ',') AS `store_id`  FROM `core_config_data` WHERE path='general/country/destinations' AND value='$domain_address_code' group by value order by config_id asc"); 
         $countryy  = array();
         $s1 = 0;
         foreach($sqlcountry as $country){
            $explode1=explode(',',$country->store_id);
            $countrycode=$country->value;
            $store_id1=isset($explode1[0]) ? $explode1[0] :'';
            $stores1=DB::select("SELECT code FROM store WHERE store_id='$store_id1'");
            $codeurl=isset($stores1[0]->code) ? $stores1[0]->code : '';
            $msp_tfa_country_codes=DB::select("SELECT name FROM msp_tfa_country_codes WHERE code='$countrycode'");
            $countryname=isset($msp_tfa_country_codes[0]->name) ? $msp_tfa_country_codes[0]->name : '';
            $countryy[$s1]['country_name'] = $countryname;
            $countryy[$s1]['country_code'] = $countrycode;
            $s1++;
        }
        return $countryy;
    }
    public function index()
    {
        $countryy = $this->country();
        $country_code = $countryy[0]['country_code'];
        $domain_address_code = session('domain_address_setup'); 
        if(empty($domain_address_code)){
            $domain_address_code='JO';
        }
        $sqlcountry=DB::select("SELECT value,GROUP_CONCAT(scope_id SEPARATOR ',') AS `store_id`  FROM `core_config_data` WHERE path='general/country/destinations' AND value='$domain_address_code' group by value order by config_id asc"); 
        foreach($sqlcountry as $value){
        $store_id=explode(',',$value->store_id);
        if(in_array('0',$store_id)){
         $stores=DB::select("SELECT scope_id FROM `core_config_data` WHERE path='general/country/destinations' and scope='stores' and value='$domain_address_code'");  
         $scope_id=array();
         foreach($stores as $value1){
             array_push($scope_id,$value1->scope_id);
         }
         $storesgroup=DB::select("SELECT GROUP_CONCAT(store_id SEPARATOR ',') as store_id,store_group.group_id FROM `store` INNER JOIN store_group ON store.group_id=store_group.group_id WHERE store_id!='0' group by store_group.group_id");  
         $store_id1=array();
         foreach($storesgroup as $value2){
             $store_ids=explode(',',$value2->store_id);
             if(in_array($store_ids[0],$scope_id)){
             array_push($store_id1,$store_ids[0]);
             }
         }
         $implode=$store_id1;
        }else{
         $implode=explode(',',$value->store_id);  
        }
        }
        // $stre_val = implode(',',$implode);
        // $store = DB::select("SELECT DISTINCT * FROM store_group WHERE group_id !=0 and default_store_id IN($stre_val) ORDER BY group_id DESC");
        $store = DB::table('store_group')->where('group_id','!=','0')->whereIn('default_store_id', $implode)->orderBy('group_id','ASC')->paginate(10);
             return view('store/index', ['store' => $store
          ]);
    }
 public function show()
    {
         $store = DB::table('store_group')->where('group_id','!=','0')->orderBy('group_id','DESC')->paginate(10);
         return view('store/index', ['store' => $store
      ]);
    }
}
