@extends('layouts.app')
    @push('css_lib')
    <link rel="stylesheet" href="{{asset('plugins/iCheck/flat/blue.css')}}">
    <!-- select2 -->
    <link rel="stylesheet" href="{{asset('plugins/select2/select2.min.css')}}">
    <!-- bootstrap wysihtml5 - text editor -->
    <link rel="stylesheet" href="{{asset('plugins/summernote/summernote-bs4.css')}}">
    {{--dropzone--}}
    <link rel="stylesheet" href="{{asset('plugins/dropzone/bootstrap.min.css')}}">
    <!-- Select2 CSS --> 
   <link href="https://code.jquery.com/ui/1.10.4/themes/ui-lightness/jquery-ui.css" rel="stylesheet">
<style>
.ui-widget-content{background:unset;width:50%;
height:40%;}
select {width: 100%;}
.table-responsive {overflow-x: unset !important;}
ul {overflow: auto;}
li {
  white-space: nowrap; // stop the wrapping in the first place
}
.closebtn {
  margin-left: 15px;
  color: white;
  font-weight: bold;
  float: right;
  font-size: 22px;
  line-height: 20px;
  cursor: pointer;
  transition: 0.3s;
}
.closebtn:hover {
  color: black;
}
.content-wrapper > .content {
    padding: unset!important;
}
</style>
    @endpush
    @section('content')
    <!-- Content Header (Page header) -->
    <div class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
        <div class="col-sm-6">
            <h1 class="m-0 text-dark">{{trans('lang.order_plural')}}<small class="ml-3 mr-3">|</small><small><?php echo isset($_GET["type"])?$_GET["type"] : '' ?> {{trans('lang.order_desc')}}</small></h1>
        </div><!-- /.col -->
        <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
            <li class="breadcrumb-item"><a href="{{url('/dashboard')}}"><i class="fa fa-dashboard"></i> {{trans('lang.dashboard')}}</a></li>
            <li class="breadcrumb-item"><a href="{!! route('orders.index') !!}">{{trans('lang.order_plural')}}</a>
            </li>
            <li class="breadcrumb-item active">{{trans('lang.order_edit')}}</li>
            </ol>
        </div><!-- /.col -->
        </div><!-- /.row -->
    </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->
    <div class="content">
    <div class="clearfix"></div>
    @include('flash::message')
    @include('adminlte-templates::common.errors')
    <div class="clearfix"></div>
    <div class="card">
        <div class="card-header">
        <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
            @can('orders.index')
            <li class="nav-item">
            <a class="nav-link" href="{!! route('orders.index') !!}?<?php
    $productType = isset($_GET['type']) ? $_GET['type'] : 'Grocery';
    if($productType == "Grocery"){
        echo "type=Grocery";
    } else if($productType == "Warehouse"){
        echo "type=Warehouse";
    } else if($productType == "Supplier"){
        echo "type=Supplier";
    }
  ?>"><i class="fa fa-list mr-2"></i>{{trans('lang.order_table')}}</a>
            </li>
            @endcan
            @can('orders.create')
  <!--          <li class="nav-item">
            <a class="nav-link" href="{!! route('orders.create') !!}?<?php
//   if($productType == "Grocery"){
//         echo "type=Grocery";
//     } else if($productType == "Warehouse"){
//         echo "type=Warehouse";
//     } else if($productType == "Supplier"){
//         echo "type=Supplier";
//     }
  ?>"><i class="fa fa-plus mr-2"></i>{{trans('lang.order_create')}}</a>
            </li> -->
            @endcan
            <li class="nav-item">
            <a class="nav-link active" href="{!! url()->current() !!}?<?php
   if($productType == "Grocery"){
        echo "type=Grocery";
    } else if($productType == "Warehouse"){
        echo "type=Warehouse";
    } else if($productType == "Supplier"){
        echo "type=Supplier";
    }
  ?>"><i class="fa fa-pencil mr-2"></i>{{trans('lang.order_edit')}}</a>
            </li>
             <li class="nav-item">
            <a class="nav-link " href="{{ route('orders.orderedit', $id) }}?<?php
    if($productType == "Grocery"){
        echo "type=Grocery";
    } else if($productType == "Warehouse"){
        echo "type=Warehouse";
    } else if($productType == "Supplier"){
        echo "type=Supplier";
    }
  ?>"><i class="fa fa-pencil mr-2"></i>Order Assign</a>
            </li>
        </ul>
        </div>
        <div class="card-body">
        <div class="row">
            @include('orders.show_fields')
        </div>
           <?php $status=$order->status;
           //echo $payment_method; exit;
            if($status=='order_placed' || $status=='startpicking' || $status=='processing' || $status=='actionrequired' || $status=='endpicking' || $status=='ngenius_authorised' || $status=='ontheway'){?>
                    <INPUT type="button" value="Reset Start Picking" class="btn btn-primary" id="btn1" onclick="resetstatus('<?php echo $order->entity_id;?>','<?php echo $productType;?>','<?php echo implode(",",$productID);?>')" />
                    <INPUT type="button" value="Change Delivery Date" class="btn btn-primary" onclick="changeDeliveryDatee(<?php echo isset($getorder[0]->order_id)?$getorder[0]->order_id:''; ?>)" id="changeDeliveryDate" data-toggle="modal" data-target="#changeDeliveryDateModal" />
                    <?php if(($payment_method=="banktransfer") || ($payment_method=="cashondelivery")){?>
                    <!--<INPUT type="button" value="Change Payment Method" class="btn btn-success" id="ChangePayment" data-toggle="modal" data-target="#ChangePaymentModal" />-->
                    <?php }?>
                    @if($productType=="Warehouse" || $productType=="Supplier")
                        <INPUT type="button" value="Delivered" class="btn btn-primary" id="btn1" onclick="deliveredstatus('<?php echo $order->entity_id;?>','<?php echo $productType;?>','<?php echo implode(",",$productID);?>','<?php echo implode(",",$productIDD);?>','<?php echo implode(",",$productQty);?>')" />
                    @endif
<?php }?>
<!-- Change Delivery Date Modal -->
<?php 
$delivery_date_and_time = isset($order->productOrders['0']['delivery_date'])? $order->productOrders['0']['delivery_date'] : "";
$dateTime = '';
if($delivery_date_and_time != "Within 30 minutes"){
 $dateTime = explode(" ",$delivery_date_and_time);
}
$dateOrder = isset($dateTime[0])?$dateTime[0]:'';
$slot = isset($dateTime[1])?$dateTime[1]:'';
$slotExp = isset($slot)?explode('-',$slot):'';
$slotTime1 = isset($slotExp[0])?$slotExp[0]:"";
$slotTime2 = isset($slotExp[1])?$slotExp[1]:"";
?>
<div class="modal fade" id="changeDeliveryDateModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Change Delivery Date</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
         <label for="datepicker">Choose Date</label>
        <input placeholder="Select date" value="<?php echo isset($dateTime[0])?$dateOrder:$created_at; ?>" type="text" id="datepicker" class="form-control">
            <input type="hidden" name="slot_id[]" value="<?php //echo $delivery_slot->id;?>">
                        <div class="form-group"><label for="start_time" class="control-label text-right">Start Time</label><div>
    <select name="start_time[]" id="start_time" class="form-control">
    <?php 
     $start = strtotime('00:00');
     $end   = strtotime('24:00');
     for ($i=$start; $i<=$end; $i = $i + 30*60){?>
       <option value="<?php echo date('H:i',$i);?>" <?php if($slotTime1==date('H:i',$i)){?>selected<?php }?>><?php echo date('g:i A',$i);?></option>
     <?php }
    ?>   
         </select>
         </div>
    </div>
         <div class="form-group"><label for="end_time" class="control-label text-right">End Time</label><div class=""><select name="end_time[]" id="end_time" class="form-control">
<?php 
 $start = strtotime('00:00');
 $end   = strtotime('24:00');
 for ($i=$start; $i<=$end; $i = $i + 30*60){?>
   <option value="<?php echo date('H:i',$i);?>" <?php if($slotTime2==date('H:i',$i)){?>selected<?php }?>><?php echo date('g:i A',$i);?></option>
<?php }?>   
     </select>
     </div>
     </div>
     <br>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button type="button" id="saveChangeDeliveryDate" class="btn btn-primary" data-id="" onclick="changeDeliveryDateSubmit()">Save changes</button>
      </div>
    </div>
  </div>
</div>

<?php if(($status=='order_placed' || $status=='startpicking' || $status=='processing' || $status=='actionrequired' || $status=='endpicking' || $status=='ngenius_authorised' || $status=='ontheway')){?>
<!--<div class="modal fade" id="ChangePaymentModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">-->
<!--  <div class="modal-dialog" role="document">-->
<!--    <div class="modal-content">-->
<!--      <div class="modal-header">-->
<!--        <h5 class="modal-title" id="exampleModalLabel">Change Payment Method</h5>-->
<!--        <button type="button" class="close" data-dismiss="modal" aria-label="Close">-->
<!--          <span aria-hidden="true">&times;</span>-->
<!--        </button>-->
<!--      </div>-->
<!--      <div class="modal-body">-->
<!--    <input type="hidden" name="order_id1" id="order_id1" value="<?php echo $order->entity_id;?>">-->
<!--    <div class="form-group"><label for="payment_method" class="control-label text-right">Payment Type</label>-->
<!--    <div>-->
<!--    <select name="payment_method" id="payment_method" class="form-control">-->
<!--        <option value="">Choose Payment Method</option>-->
<!--        <?php if($payment_method=="cashondelivery"){?>-->
<!--       <option value="banktransfer">Card On Delivery</option>-->
<!--       <?php } else if($payment_method=="banktransfer"){?>-->
<!--       <option value="cashondelivery">Cash On Delivery</option>-->
<!--       <?php }?>-->
<!--    </select>-->
<!--    </div>-->
<!--    </div>-->
         
<!--     <br>-->
<!--      </div>-->
<!--      <div class="modal-footer">-->
<!--        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>-->
<!--        <button type="button" id="saveChangeDeliveryDate" class="btn btn-primary" data-id="" onclick="ConfirmDialog1('Are you change payment method?')">Save changes</button>-->
<!--      </div>-->
<!--    </div>-->
<!--  </div>-->
<!--</div>-->
<?php }?>
    <div class="card-body">
        <div class="table-responsive">
                        <table class="table" id="editorder">
                            <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>Barcode</th>
                                    <th>Name</th>
                                    <th>Weight</th>
                                    <th>Qty</th>
                                    <th>Out of Stock</th>
                                    <th>In Bag</th>
                                    <th>Price</th>
                                    <!--<th>Original Price</th>-->
                                    <!--<th>Discount Price</th>-->
                                    <th>Total Price</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                    <tbody id="productlist">
                        <?php 
                            $subTotal = 0; 
                        ?>
                        @inject('ordersDB','\DB')
                        @if(count($getorder)>0)
                        @foreach ($getorder as $key=>$label)
                        <?php
                            $proId = $ordersDB::table('sales_order_item')->where('order_id',$label->order_id)->where('product_type','simple')->where('sku',$label->sku)->select('product_id', 'qty_canceled')->first();
                            $qtyCanceled = $ordersDB::table('particular_quantity_canceled')->where('order_id',$label->order_id)->where('product_id',$proId->product_id)->select(DB::raw('SUM(particular_quantity_canceled.qty_canceled) AS itemQtyCanceled'))->first();
                            $itemQtyCanceled = isset($qtyCanceled->itemQtyCanceled)?$qtyCanceled->itemQtyCanceled:0;
                            $canceledProductPrice = isset($label->price)? number_format(($label->price * $itemQtyCanceled), 4, '.', ''): 0;
                            
                            $inbagqty=$label->inbagqty;
                            $outofstockqty=$label->outofstockqty;
                            $order_id=$label->order_id;
                            $product_id=$proId->product_id;
                            $configkey = isset($sales_order_item_configurable)?array_search($label->sku, array_column($sales_order_item_configurable, 'sku')) : '';  
                            if (!empty($configkey) || $configkey === 0) {  
                                 if($label->product_type == "simple"){
                                    continue; 
                                 }
                            } 
                            if(!($label->qty_canceled > 0)){
                                    $subTotal += (($label->row_total-$label->discount_amount)-$canceledProductPrice);
                            }
                        ?>
                                <tr id="orginal_tr<?php echo $key; ?>">
                                    <th scope="row" id="order_id<?php echo $key;?>">{{ $proId->product_id }}</th>
                                     <td>{{ $label->sku }}</td>
                                    <td>{{ $label->name }} <?php 
                                    if($label->product_type == "configurable"){
                                        $options = isset($label->product_options)?json_decode($label->product_options):'';
                                        $label_name = isset($options->attributes_info[0]->label)? $options->attributes_info[0]->label : '';
                                        $weight = isset($options->attributes_info[0]->value)? $options->attributes_info[0]->value : '';
                                        echo "<br>";
                                        if (stripos($weight, "kg") != false) {
                                            echo "<b>" . $label_name . ":</b> " . $weight;
                                        }else{
                                            // echo "<b>" . $label_name . ":</b> " . $weight;
                                            foreach($options->attributes_info as $vall){
                                                echo "<b>" . $vall->label . ":</b> " . $vall->value."<br>";
                                            }
                                        }
                                        echo "<br>";
                                    }
                                    if(!empty($label->product_notes)){ 
                                            echo '<p><b>Customer Notes: </b>'.$label->product_notes.'</p>';
                                        echo "<br>";
                                    }
                                    ?> @if($proId->qty_canceled > 0) <br><div style="margin-top: 7px"><b style="background: black;padding: 5px;color: white;">Canceled</b></div>@elseif($itemQtyCanceled>0) <br><div style="margin-top: 7px"><b style="background: black;padding: 2px;color: white;">Some Qty Only Canceled</b></div>  @endif</td>
                                    <td>{{ $label->package_info }}</td>
                                      <!--<td class="weightedpro">-->
                                      <!--  <input type="number" min="0" name="partridge".<?php echo $key; ?> id="weight_<?php echo $key;?>" onchange="changegram(<?php echo $key; ?>,<?php echo $label->base_price; ?>)" style="width:100%" value="">-->
                                      <!--  </td>-->
                                    <td class="valueorder">
                                        <?php 
                                            if($itemQtyCanceled>0){
                                        ?>
                                        <b>Ordered: </b> <span><?php echo round($label->qty_ordered,2); ?></span><br>
                                        <b>Canceled: </b><span>{{$itemQtyCanceled}}</span><br><br>
                                        <b>Available QTY: </b> <span><?php echo round($label->qty_ordered-$itemQtyCanceled,2); ?></span>
                                        <?php
                                                 } else {
                                                     echo round($label->qty_ordered,2);
                                                 }
                                        ?>
                                        </td>
                                        <?php $unit=250;
                                              $nunit=$unit * round($label->qty_ordered);   ?> 
                                              
                                        <?php
                                            $outOfStockQtyCheck = $ordersDB::table('sales_stock')->where('order_id',$label->order_id)->where('product_id',$proId->product_id)->select('qty')->first();
                                        $outOfStockQtyCount = isset($outOfStockQtyCheck->qty)? $outOfStockQtyCheck->qty : "0";
                                        ?>
                                         
                                         <?php if($label->outofstockqty){?>
                                        <td>{{ $label->outofstockqty }}</td>
                                        <?php }else{ ?>
                                        <td>{{$outOfStockQtyCount}}</td>
                                        <?php }?>
                                        
                                        <?php
                                            $inbagQtyCheck = $ordersDB::table('add_to_bag')->where('order_id',$label->order_id)->where('product_id',$proId->product_id)->select('qty')->first();
                                        $inbagQtyCount = isset($inbagQtyCheck->qty)? $inbagQtyCheck->qty : "0";
                                        ?>

                                        <?php if($label->inbagqty){?>
                                        <td>{{ $label->inbagqty }}</td>
                                        <?php }else{ ?>
                                        <td>{{$inbagQtyCount}}</td>
                                        <?php } ?>
                                        
                                    <td>{{ $label->price }}</td>
                                    <!--<td>-->
                                    <?php /*if($label->old_price==0){
                                       echo $label->row_total;  
                                    }else{
                                       echo $label->old_price;  
                                    } */ ?>
                                    <!--</td>-->
                                    <!--<td>{{ $label->discount_amount }}</td>-->
                                    <td <?php if($label->qty_canceled > 0){ ?> style="text-decoration: line-through;" <?php } ?> id="price<?php echo $key; ?>"><?php 
                                            if(($itemQtyCanceled > 0) && ($label->qty_canceled <= 0)){
                                             $available_Qty = round($label->qty_ordered-$itemQtyCanceled,2);
                                             $canceledProductPriccee = isset($label->price)? number_format(($label->price * $available_Qty), 4, '.', ''): 0;
                                                echo "<span style='text-decoration: line-through;'>".number_format($label->row_total-$label->discount_amount, 4, '.', '')."</span><br>";
                                                echo number_format($canceledProductPriccee, 4, '.', '');
                                            }else{
                                                echo number_format($label->row_total-$label->discount_amount, 4, '.', '');
                                            }
                                        ?>
                                    </td>
                                    <!--<td>{{ $label->row_total }}</td>-->
                                    
                                    <td><!---<button type="button" class="btn btn-sm btn-primary mb-2" onclick="fnupdateorder(<?php echo $key; ?>)">Update</button>-->
                                <?php $status=$order->status;
                                if($status=='order_placed' || $status=='startpicking' || $status=='processing' || $status=='actionrequired' || $status=='endpicking' || $status=='ngenius_authorised' || $status=='ontheway'){
                                if($inbagqty>0){?>
                                @if($label->qty_canceled <= 0)
                                    <button type="button" onclick="addBagOrOutStockVal(<?= round($label->qty_ordered); ?>, <?= $proId->product_id ?>, <?= $label->order_id ?>)" id="addBagVal<?php echo round($label->qty_ordered).$proId->product_id.$label->order_id ?>" class="btn btn-sm btn-primary mb-2" data-toggle="modal" data-target="#bag">Bag</button>
                                @endif
                                   <button type="button" class="btn btn-sm btn-danger mb-2" onclick="ConfirmDialog('Item has already been picked. Are you sure you want to continue?','<?php echo $order_id; ?>','<?php echo $product_id;?>','<?php echo $inbagqty;?>','<?php echo $outofstockqty;?>', '<?php echo isset($label->sku)? $label->sku : ""; ?>')">Delete</button>
                               <?php }else{?>
                                  @if($label->qty_canceled <= 0)
                                   <button type="button" onclick="addBagOrOutStockVal(<?= round($label->qty_ordered); ?>, <?= $proId->product_id ?>, <?= $label->order_id ?>);" id="addBagVal<?php echo round($label->qty_ordered).$proId->product_id.$label->order_id ?>" class="btn btn-sm btn-primary mb-2" data-toggle="modal" data-target="#bag">Bag</button>
                                   @endif
                                    <button type="button" class="btn btn-sm btn-danger mb-2" onclick="ConfirmDialog('Are you sure you want to continue?','<?php echo $order_id; ?>','<?php echo $product_id;?>','<?php echo $inbagqty;?>','<?php echo $outofstockqty;?>', '<?php echo isset($label->sku)? $label->sku : ""; ?>')">Delete</button>
                               <?php }}?>
                               </td>
                                </tr>
                                @endforeach
                        @else
                        <tr>
                                <td colspan="6">No record found!</td>
                        </tr>

                        @endif

                            </tbody>
                                
                        </table>
<!-- Bag Modal -->
<div class="modal fade" id="bag" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Add or Edit In Bag Value</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <!--<select class="custom-select custom-select-lg mb-3" id="inbagoroutstock">-->
        <!--  <option value="">Please Choose</option>-->
        <!--  <option value="inbag">In Bag</option>-->
        <!--  <option value="outofstock">Out Of Stock</option>-->
        <!--</select>-->
          <div class="form-group" id="inbaggtxt">
        <label for="inbagtxt">Enter In Bag</label>
        <input type="number" min="0"  class="form-control" id="inbagtxt" placeholder="Enter In Bag">
      </div>
      <!--<div class="form-group" id="outstockktxt" style="display:none;">-->
      <!--  <label for="outstocktxt">Enter Out Of Stock</label>-->
      <!--  <input type="number" min="0" class="form-control" id="outstocktxt" placeholder="Enter Out Of Stock">-->
      <!--</div>-->
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button type="button" dataval="" id="saveBagOrOutStock" class="btn btn-primary" onclick="inbagoroutstockSave()">Save changes</button>
      </div>
    </div>
  </div>
</div>
<div class="col-xs-12 pull-right">
              
                    </div>
                    </div>
        <div class="clearfix"></div>
        </div>
          <div class="alert alert-success" style="display:none">
    <strong>Success!</strong> Item Added Successfully.
  </div>
         <div class="alert alert-success alertupdate" style="display:none">
    <strong>Success!</strong> Updated Successfully.
  </div>
            <div class="row">
                <div class="col-7" style="padding:20px">
                    <?php $status=$order->status;
                    if($status=='order_placed' || $status=='startpicking' || $status=='processing' || $status=='actionrequired' || $status=='endpicking' || $status=='ngenius_authorised' || $status=='ontheway'){?>
                    <INPUT type="button" value="Add Product" class="btn btn-primary" id="btn1" onclick="addRow('editorder')" />
                    <?php }?>
                    <?php if($status=='order_placed' || $status=='startpicking' || $status=='processing' || $status=='actionrequired' || $status=='endpicking' || $status=='ngenius_authorised' || $status=='ontheway'){?>
                    <INPUT type="button" value="Update Order" class="btn btn-primary" id="btn1"  data-target="#exampleModalCenter" data-toggle="modal" />
                    <?php }?>
<!-- Modal -->
<div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLongTitle">Update Order</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
      Are you sure you want to update?
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-primary endpicking" data-dismiss="modal" onclick="updateaction(<?php echo isset($getorder[0]->order_id)? $getorder[0]->order_id : ''; ?>)">Save changes</button>
         <button type="button" class="btn btn-primary orderplaced" data-dismiss="modal" onclick="updateorderplaced(<?php echo isset($getorder[0]->order_id)? $getorder[0]->order_id : ''; ?>)">Save changes</button>
      </div>
    </div>
  </div>
</div>
                    </div>
        <div class="col-5 offset-7">
            <div class="table-responsive table-light">
            <table class="table">
                <tbody><tr>
                <th class="text-right">{{trans('lang.order_subtotal')}}</th>
                <!--<td>JOD {!! $subtotal !!}</td>-->
                <td>JOD <?php echo number_format($subTotal, 4, '.', ''); ?></td>
                </tr>
            
                <tr>
                <th class="text-right">Shipping Fee</th>
                <td>JOD {!! $taxAmount!!}</td>
                </tr>

                <tr>
                <th class="text-right">{{trans('lang.order_total')}}</th>
                <!--<td>JOD {!!$total!!}</td>-->
                <td>JOD <?php echo number_format($subTotal+$taxAmount, 4, '.', ''); ?></td>
                </tr>
                </tbody></table>
            </div>
        </div>
        </div>
        
  
        </div>
    </div>
    </div>

    @include('layouts.media_modal')
    @endsection
    @push('scripts_lib')
    <!-- iCheck -->
   <script src = "https://code.jquery.com/jquery-1.10.2.js"></script>
      <script src = "https://code.jquery.com/ui/1.10.4/jquery-ui.js"></script>
    <script src="{{asset('plugins/iCheck/icheck.min.js')}}"></script>
    <!-- select2 -->
    <script src="{{asset('plugins/select2/select2.min.js')}}"></script>
    <!-- AdminLTE dashboard demo (This is only for demo purposes) -->
    <script src="{{asset('plugins/summernote/summernote-bs4.min.js')}}"></script>
    {{--dropzone--}}
    <script src="{{asset('plugins/dropzone/dropzone.js')}}"></script>
    <script type="text/javascript">
        Dropzone.autoDiscover = false;
        var dropzoneFields = [];
    </script>
    <link href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/themes/smoothness/jquery-ui.css" rel="stylesheet" />
<script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
<script>
function ConfirmDialog1(message) {
  
if (confirm('Are you sure you want change payment method?')) {
  // Save it!
     var order_id=$("#order_id1").val();
     var payment_method=$("#payment_method").val();
      $.ajax({
     url: "https://ctown.jo/api/paymentmethodwebsite.php",
     type: 'post',
     data: {
      'payment_method': payment_method,
      'order_id': order_id
     },
     success: function( data ) {
      window.location.reload(true);
     }
    });
} else {
  // Do nothing!
}  
    
//   $('<div style="z-index:10000"></div>').appendTo('body')
//     .html('<div><h6>' + message + '?</h6></div>')
//     .dialog({
//       modal: true,
//       title: 'Confirm Message',
//       zIndex: 10000,
//       autoOpen: true,
//       width: '500',
//       resizable: true,
//       buttons: {
//         Yes: function() {
//           // $(obj).removeAttr('onclick');                                
//           // $(obj).parents('.Parent').remove();

//           //$('body').append('<h1>Confirm Dialog Result: <i>Yes</i></h1>');
          
//         var order_id=$("#order_id1").val();
//         var payment_method=$("#payment_method").val();
//         alert(order_id);
//         alert(payment_method);
//     //   $.ajax({
//     //  url: "https://ctown.jo/api/deleteorderproduct.php",
//     //  type: 'post',
//     //  data: {
//     //   product_id: name,
//     //   order_id: order_id,
//     //   inbagqty: inbagqty,
//     //   outofstockqty: outofstockqty,
//     //  },
//     //  success: function( data ) {
//     //   window.location.reload(true);
//     //  }
//     // });
//           $(this).dialog("close");
//         },
//         No: function() {
//           //$('body').append('<h1>Confirm Dialog Result: <i>No</i></h1>');

//           $(this).dialog("close");
//         }
//       },
//       close: function(event, ui) {
//         $(this).remove();
//       }
//     });
};
function ConfirmDialog(message,order_id,product_id,inbagqty,outofstockqty, barcode) {
  $('<div></div>').appendTo('body')
    .html('<div><h6>' + message + '?</h6></div>')
    .dialog({
      modal: true,
      title: 'Confirm Message',
      zIndex: 10000,
      autoOpen: true,
      width: '500',
      resizable: true,
      buttons: {
        Yes: function() {
       $.ajax({
     url: "https://ctown.jo/api/deleteorderproduct.php",
     type: "POST",   
     data: {
      'product_id': product_id,
      'order_id': order_id,
      'inbagqty': inbagqty,
      'outofstockqty': outofstockqty,
      'sku' : barcode
     },
     success: function( data ) {
      window.location.reload(true);
     }
    });
          $(this).dialog("close");
        },
        No: function() {
          //$('body').append('<h1>Confirm Dialog Result: <i>No</i></h1>');

          $(this).dialog("close");
        }
      },
      close: function(event, ui) {
        $(this).remove();
      }
    });
};


var newadd=<?php echo $newadd; ?>;
  var div =  document.getElementsByClassName("alert");
 var div1 =  document.getElementsByClassName("alertupdate");

  if(newadd==1){
      var div2 =  document.getElementsByClassName("endpicking");
         div2[0].style.display = 'none';
           var div3 =  document.getElementsByClassName("orderplaced");
         div3[0].style.display = 'inline';
      
  }else{
      var div2 =  document.getElementsByClassName("endpicking");
         div2[0].style.display = 'inline';
           var div3 =  document.getElementsByClassName("orderplaced");
         div3[0].style.display = 'none';
  }
var myIntv = setInterval(function() {
   
    div[0].style.display = 'none';
     div[1].style.display = 'none';
}, 5 * 1000);
    // productValue Delete 
  
      var x = document.getElementById("addmore");

    x.style.display = "none";
    function changeprice(id,price){
           var i= document.getElementById('qty'+id).value;
           var y= price;
           var z=i*y;
           document.getElementById('price'+id).innerHTML=z.toFixed(2);
    }
    function addRow(tableID,cat) {
    
     var html = "<tr class='tr_input' id='tr_input_1'><td  class='name' id='name_1'></td><td  class='name' id='barcode_1'></td><td><input type='text' class='username' id='username_1' style='padding: 7px;width: 230px;' placeholder='Product name or barcode' ></td><td><input style='width:100%;padding: 7px;width: 60px;' type='number'min='0' onclick='updateprice_1(1)' class='qty' id='qty_1' ></td> <td class='itemqty' id='itemqty_1' ></td><td class='bagqty' id='bagqty_1' ></td><td class='price' id='price_1'></td><td style='display:none'  id='priceh_1'></td><td><button type='button' onclick='addbtn(1)' class='btn btn-sm btn-primary mb-2'>Add</button><button type='button' class='btn btn-sm btn-danger mb-2' onclick='deletebtn(1)'>Cancel</button></td> </tr>";
     $('#productlist').append(html); 

    var x = document.getElementById("btn1");

    x.style.display = "none";
     var x = document.getElementById("addmore");

    x.style.display = "inline";

  }
  function changegram(id,price){
        var i= document.getElementById('weight_'+id).value;
        var j=250;
        var total=i*j;
        var gramcovert=total/454;
      
        var amount=gramcovert*price;
      
         document.getElementById('price'+id).innerHTML=amount.toFixed(2);
  }
  
    function updateorderplaced(id){
       var k = document.getElementsByClassName("alertupdate");
       
    k[0].style.display = "inline";
       $.ajax({
     url: "https://ctown.jo/api/updateorderproducts.php",
     type: 'post',
     data: {
      search:id,
      request:2
     },
     success: function( data ) {
         console.log(data);
        if(data=="failed"){
         alert("Delete In bag and Out Bag Quantity Zero Product.");   
        }else{ 
       window.location.reload(true);
        }
     }
    });
  }
  function resetstatus(id,type,itemID){
    // var itemIDD = itemID.split(",");
     $.ajax({
     url: "https://ctown.jo/api/startpicking1.php",
     type: 'post',
     data: {
      order_id:id,
      type:type,
      item_id:itemID,
     },
     success: function( data ) {
      window.location.reload(true);
     }
    });
  }
  function deliveredstatus(id,type,itemID,productID,qty){
      var result = confirm("Are you sure you want to change the delivered status?");
      if (result) {
            $.ajax({
         url: "https://ctown.jo/api/deliveredstatuschanged.php",
         type: 'post',
         data: {
          order_id:id,
          type:type,
          item_id:itemID,
          product_id:productID,
          product_qty:qty,
         },
         success: function(data) {
            try {
              window.location.href="/deliveryapp/public/orders/"+id+"?type="+type;
            }
            catch(err) {
              window.location.reload(true);
            }
         }
    });
      }
  }
  function updateaction(id){
       var k = document.getElementsByClassName("alertupdate");
 
    k[0].style.display = "inline";
       $.ajax({
     url: "https://ctown.jo/api/updateorderproducts.php",
     type: 'post',
     data: {
      search:id,
       request:1
     },
     success: function( data ) {
        console.log(data);
        if(data=="failed"){
         alert("Delete In bag and Out Bag Quantity Zero Product.");   
        }else{ 
       window.location.reload(true);
        }
    
     }
    });
  }
  function changegram_(id){
       var i= document.getElementById('weight_'+id).value;
        var j=250;
        var total=i*j;
        var gramcovert=total/454;
       
          var prize= document.getElementById('priceh_'+id).innerHTML;
        
        var amount=gramcovert*prize;
      
         document.getElementById('price_'+id).innerHTML=amount.toFixed(2);
  }
  function updateprice_1(id){
              var i= document.getElementById('qty_'+id).value;
            
           var y= document.getElementById('priceh_'+id).innerHTML;
            
           var z=i*y;
          
           document.getElementById('price_'+id).innerHTML=z.toFixed(2);
  }
 
  function fndeleteorder(id){
       var order_id=<?php echo $id; ?>;
       var name= document.getElementById('order_id'+id).innerHTML ;
       $.ajax({
     url: "https://ctown.jo/api/deleteorderproduct.php",
     type: 'post',
     data: {
      product_id: name,
      order_id: order_id,
     },
     success: function( data ) {
      window.location.reload(true);
    
     }
    });
  }
    function deletebtn(id){
    var order_id=<?php echo $id; ?>;
    var name= document.getElementById('name_'+id).innerHTML ;
     $.ajax({
     url: "https://ctown.jo/api/deleteorderproduct.php",
     type: 'post',
     data: {
      product_id: name,
      order_id: order_id,
     
     },
     success: function( data ) {
      window.location.reload(true);
    
     }
    });
  }
  function fnupdateorder(id){
       var k = document.getElementsByClassName("alertupdate");
 
    k[0].style.display = "inline";
    
       var order_id=<?php echo $id; ?>;
       var i= document.getElementById('qty'+id).value;
       var name= document.getElementById('order_id'+id).innerHTML;
       var skuBarcode= document.getElementById('barcode_'+id).innerHTML;
       var type='<?php echo $productType;?>';
       
  $.ajax({
     url: "https://ctown.jo/api/updateorderproduct.php",
     type: 'post',
     data: {
      product_id: name,
      order_id: order_id,
      qty:i,
      type:type,
      sku:skuBarcode
     },
     success: function( data ) {
      window.location.reload(true);

     }
    });
//window.location.href = "/deliveryapp/public/orders/<?php echo $id; ?>/edit";
  }

  function addbtn(id){
     var order_id=<?php echo $id; ?>;
      var paymethod="<?php echo $paymethod; ?>";
     var type='<?php echo $productType;?>';
      console.log(paymethod);
     var i= document.getElementById('qty_'+id).value;
     var productprice= document.getElementById('price_'+id).innerHTML;
    var name= document.getElementById('name_'+id).innerHTML;
    var skuBarcode= document.getElementById('barcode_'+id).innerHTML;
     $.ajax({
     url: "https://ctown.jo/api/checkproduct.php",
     type: 'post',
     data: {
      product_id: name,
      order_id: order_id,
     },
     success: function( data ) {
        console.log(data); 
      if(data==1){
    var message="Item already exist. Are you sure you want to continue?";      
          $('<div></div>').appendTo('body')
    .html('<div><h6>' + message + '?</h6></div>')
    .dialog({
      modal: true,
      title: 'Confirm Message',
      zIndex: 10000,
      autoOpen: true,
      width: '500',
      resizable: true,
      buttons: {
        Yes: function() {
            if(paymethod != "" && paymethod == "tns_hosted"){
                $.ajax({
                     url: "https://ctown.jo/api/checkauthorizeamount.php",
                     type: 'post',
                     data: {
                      product_id: name,
                      order_id: order_id,
                      qty:i,
                      productprice:productprice
                     },
                     success: function(response) {
                        var res = JSON.parse(response);
                        if(res['success'] == '1'){
                            $.ajax({
                                 url: "https://ctown.jo/api/updateorderproduct.php",
                                 type: 'post',
                                 data: {
                                  product_id: name,
                                  order_id: order_id,
                                  qty:i,
                                  type:type,
                                  sku:skuBarcode
                                 },
                                 success: function( data ) {
                                if(data=="failed"){
                                  alert("Order amount cannot exceed authorized amount.");  
                                }else{
                                //  var k = document.getElementsByClassName("alert");
                             
                                // k[0].style.display = "inline";     
                                //  var k = document.getElementsByClassName("alert");
                             
                                // k[0].style.display = "none";    
                                window.location.reload(true);
                                }
                               }
                            }); 
                        }else{
                            alert("Order amount cannot exceed authorized amount."); 
                        }
                     }
                   
                });
        } else{
              $.ajax({
             url: "https://ctown.jo/api/updateorderproduct.php",
             type: 'post',
             data: {
              product_id: name,
              order_id: order_id,
              qty:i,
              type:type,
              sku:skuBarcode
             },
             success: function( data ) {
            if(data=="failed"){
              alert("Order amount cannot exceed authorized amount.");  
            }else{
            //  var k = document.getElementsByClassName("alert");
         
            // k[0].style.display = "inline";     
            //  var k = document.getElementsByClassName("alert");
         
            // k[0].style.display = "none";    
            window.location.reload(true);
            }
             }
               
            });
        }
          $(this).dialog("close");
        },
        No: function() {
          //$('body').append('<h1>Confirm Dialog Result: <i>No</i></h1>');

          $(this).dialog("close");
        }
      },
      close: function(event, ui) {
        $(this).remove();
      }
    });
      }else{
          if(paymethod != "" && paymethod == "tns_hosted"){
              $.ajax({
                     url: "https://ctown.jo/api/checkauthorizeamount.php",
                     type: 'post',
                     data: {
                      product_id: name,
                      order_id: order_id,
                      qty:i,
                      productprice:productprice
                     },
                     success: function(response) {
                        var res = JSON.parse(response);
                        if(res['success'] == '1'){
                            $.ajax({
                                 url: "https://ctown.jo/api/updateorderproduct.php",
                                 type: 'post',
                                 data: {
                                  product_id: name,
                                  order_id: order_id,
                                  qty:i,
                                  type:type,
                                  sku:skuBarcode
                                 },
                                 success: function( data ) {
                                if(data=="failed"){
                                  alert("Order amount cannot exceed authorized amount.");  
                                }else{
                                 var k = document.getElementsByClassName("alert");
                             
                                k[0].style.display = "inline";     
                                 var k = document.getElementsByClassName("alert");
                             
                                k[0].style.display = "none";    
                                window.location.reload(true);
                                }
                               }
                            }); 
                        }else{
                            alert("Order amount cannot exceed authorized amount."); 
                        }
                     }
                   
                }); 
          } else {
              $.ajax({
                     url: "https://ctown.jo/api/updateorderproduct.php",
                     type: 'post',
                     data: {
                      product_id: name,
                      order_id: order_id,
                      qty:i,
                      type:type,
                      sku:skuBarcode
                     },
                     success: function( data ) {
                           console.log(data);  
                    if(data=="failed"){
                      alert("Order amount cannot exceed authorized amount.");  
                    }else{
                    //  var k = document.getElementsByClassName("alert");
                 
                    // k[0].style.display = "inline";     
                    //  var k = document.getElementsByClassName("alert");
                 
                    // k[0].style.display = "none";    
                    window.location.reload(true);
                    }
                   }
                }); 
          }
      }
     }
       
    });

  }
</script>
<script>
    $(document).ready(function(){
 $(document).on('keydown', '.username', function() {
  var id = this.id;
  var splitid = id.split('_');
  var index = splitid[1];
  var productType = "<?= $productType; ?>";
  var storeeIDD = "<?= $storeeIDD; ?>";
  // Initialize jQuery UI autocomplete
  $( '#'+id ).autocomplete({
   source: function( request, response ) {
    $.ajax({
     url: "https://ctown.jo/api/cpctown_api/seacrhorderfilter.php",
     type: 'post',
     dataType: "json",
     data: {
      search: request.term,request:1,product_type:productType,storeeIDD:storeeIDD
     },
     success: function( data ) {
      response( data );
     }
    });
   },
   select: function (event, ui) {
    $(this).val(ui.item.label); // display the selected text
    var userid = ui.item.value; // selected value
    var storeeIDD1 = "<?= $storeeIDD; ?>";
    
    // AJAX
    $.ajax({
     url: 'https://ctown.jo/api/cpctown_api/seacrhorderfilter.php',
     type: 'post',
     data: {userid:userid,request:2,storeeIDD:storeeIDD},
     dataType: 'json',
     success:function(response){
 
      var len = response.length;

      if(len > 0){
       var id = response[0]['id'];
       var price = response[0]['price'];
       var itemqty = response[0]['itemqty'];
       var bagqty = response[0]['bagqty'];
       var qty = response[0]['qty'];
        var sku = response[0]['sku'];

       // Set value to textboxes
        document.getElementById('barcode_'+index).innerHTML = sku;
       document.getElementById('name_'+index).innerHTML = id;
       document.getElementById('qty_'+index).value = qty;
       document.getElementById('itemqty_'+index).innerHTML  = itemqty;
       document.getElementById('bagqty_'+index).innerHTML  = bagqty;
        document.getElementById('price_'+index).innerHTML  = price;
         document.getElementById('priceh_'+index).innerHTML  = price;
      }
 
     }
    });

    return false;
   }
  });
 });
 
 // Add more
 $('#addmore').click(function(){
  // Get last id 
  var lastname_id = $('.tr_input input[type=text]:nth-child(2)').last().attr('id');
  var split_id = lastname_id.split('_');
  // New index
  var index = Number(split_id[1]) + 1;
  // Create row with input elements
  //var html = "<tr class='tr_input'><td><input type='text' class='username' id='username_"+index+"' placeholder='Enter username'></td><td><input type='text' class='name' id='name_"+index+"' ></td><td><input type='text' class='age' id='age_"+index+"' ></td><td><input type='text' class='email' id='email_"+index+"' ></td><td><input type='text' class='salary' id='salary_"+index+"' ></td></tr>";
 var html = "<tr class='tr_input' id='tr_input_"+index+"'><td  class='name' id='barcode_"+index+"'></td><td  class='name' id='name_"+index+"'></td><td><input type='text' class='username' id='username_"+index+"' ></td><td><input type='number' min='0' style='width:100%' onclick='updateprice_1("+index+")' class='qty' id='qty_"+index+"' ></td> <td class='itemqty' id='itemqty_"+index+"' ></td><td class='bagqty' id='bagqty_"+index+"' ></td><td class='price' id='price_"+index+"'></td><td style='display:none'  id='priceh_"+index+"'></td><td><button type='button' onclick='addbtn("+index+")'  class='btn btn-sm btn-primary mb-2'>Add</button><button type='button' onclick='deletebtn("+index+")' class='btn btn-sm btn-danger mb-2'>Delete</button></td></tr>";
 
  // Append data
  $('#productlist').append(html);
 
 });
});
//in bag 
//  $('#inbagoroutstock').change(function(){
//      var bagVal = $('#inbagoroutstock').val();
//      if(bagVal == 'inbag'){
//          $('#inbaggtxt').attr('style', 'display:block;');
//          $('#outstockktxt').attr('style', 'display:none;');
//      } else {
//          $('#outstockktxt').attr('style', 'display:block;');
//          $('#inbaggtxt').attr('style', 'display:none;');
//      }
//  });
// });
function addBagOrOutStockVal(qty, productId, orderId){
    $('#saveBagOrOutStock').attr('dataval', qty+'|'+productId+'|'+orderId);
    $('#inbagtxt').attr('max',qty);
}
function inbagoroutstockSave(){
    var bagVal = $('#inbagoroutstock').val();
    var inBagVal = '';
    var outstockVal = '';
    var dataVal = $('[dataval]').attr('dataval');
    var dataValSplit = dataVal.split("|");
    var qty = dataValSplit[0];
    var productId = dataValSplit[1];
    var orderId = dataValSplit[2];
     //if(bagVal == 'inbag'){
         qty = $('#inbagtxt').val();
    //  } else {
    //      outstockVal = $('#outstocktxt').val();
    //  }
     if(qty != ''){
         $.ajax({
             url: "https://ctown.jo/api/stock1.php",
             type: 'POST',
             data: {
              "order_id" : orderId,
              "product_id":productId,
               "qty":qty
            //   "item": [
            //     {
            //         "order_id":orderId,
            //         "product_id":productId,
            //         "qty":qty
            //     }    
            //   ]
             },
             success: function(dataa) {
                // console.log(dataa);
                data = JSON.parse(dataa);
                // console.log(data);
                if(data.success == 1){
                    alert(data.message);
                    location.reload();
                } else {
                    alert(data.message);
                }
             }
        }); 
     }
}

function changeDeliveryDatee(orderId){
    $("#saveChangeDeliveryDate").attr('data-id', orderId);
}
function changeDeliveryDateSubmit(){
    var checkDate = "<?php echo isset($created_at)? $created_at : ""; ?>";
    var changeDate = $('#datepicker').val();
    var slot1 = $('#start_time').val();
    var slot2 = $('#end_time').val();
    var orderId = $("#saveChangeDeliveryDate").attr('data-id');
    if(changeDate >= checkDate){
        if(changeDate != '' && slot1 != '' && slot2 != ''){
            $.ajax({
                     url: "https://ctown.jo/api/change_delivery_date.php",
                     type: 'POST',
                     data: {
                      "order_id" : orderId,
                      "change_date" : changeDate,
                      "slot1":slot1,
                       "slot2":slot2,
                     },
                     success: function(dataa) {
                        //  alert(dataa);
                        // console.log(dataa);
                        data = JSON.parse(dataa);
                        // console.log(data);
                        if(data.success == 1){
                            alert(data.message);
                            location.reload();
                        } else {
                            alert(data.message);
                        }
                     }
            });
        } else {
            alert('Please fill the all details.');
        }
    }else{
        alert("Please Don't Enter Past Date.");
    }

}
$( function() {
    // $( "#datepicker" ).datepicker({ dateFormat: 'yy-mm-dd' }).val();
    var dateToday = "<?php echo isset($created_at)? $created_at : ""; ?>";
    $( "#datepicker" ).datepicker({
        dateFormat: 'yy-mm-dd',
        minDate: dateToday // minDate: '0' would work too
    }).val();
});
</script>
@endpush