@extends('layouts.app')
@push('css_lib')
<style>
#searchcity{left:unset !important;}
    .gmnoprint .gm-style-mtc{
        top:35px !important;
    }
    button.gm-control-active.gm-fullscreen-control{
        top:35px !important;
    }
</style>
  <!-- iCheck -->
  <link rel="stylesheet" href="{{asset('plugins/iCheck/flat/blue.css')}}">
  <!-- select2 -->
  <link rel="stylesheet" href="{{asset('plugins/select2/select2.min.css')}}">
  <!-- bootstrap wysihtml5 - text editor -->
  <link rel="stylesheet" href="{{asset('plugins/summernote/summernote-bs4.css')}}">
  {{--dropzone--}}
  <link rel="stylesheet" href="{{asset('plugins/dropzone/bootstrap.min.css')}}">
@endpush
@section('title',trans('lang.locations_table'))
@section('content')
  @include('flash::message')
  @include('adminlte-templates::common.errors')
  <div class="clearfix"></div>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link" href="{!! route('salesorder_status.index') !!}"><i class="fa fa-list mr-2"></i>Status List</a>
        </li>
        <li class="nav-item">
          <a class="nav-link active" href="{!! url()->current() !!}"><i class="fa fa-plus mr-2"></i>Add Status List</a>
        </li>
      </ul>
    </div>
    <div class="card-body">
      {!! Form::open(['route' => 'salesorder_status.store']) !!}
      <div class="row">
<div style="flex: 100%;max-width: 100%;padding: 0 4px;" class="row">
    <!-- Name Field -->
          <div class="form-group row col-6">
        {!! Form::label('store_name', 'Status List', ['class' => 'col-5 control-label text-right']) !!}
            <div class="col-7">
            <select class="form-control" name="status" id="store_status">
            @if(count($status)>0)
            @foreach ($status as $key=>$status)
            <option value="{{$status->status}}">{{$status->status}}</option>  
            @endforeach
            @endif
            </select>   
            </div>
    </div>
    <div class="form-group row col-6">
        {!! Form::label('name','Description', ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            {!! Form::textarea('description', null,  ['id' => 'searchcity','class' => 'form-control','placeholder'=>  'description']) !!}
      
            <div class="form-text text-muted">
               
            </div>
        </div>
    </div>


</div>
<!-- Submit Field -->
<div class="form-group col-12 text-right">
    <button type="submit" class="btn btn-{{setting('theme_color')}}"><i class="fa fa-save"></i> {{trans('lang.save')}} </button>
    <a href="{!! route('salesorder_status.index') !!}" class="btn btn-default"><i class="fa fa-undo"></i> {{trans('lang.cancel')}}</a>
</div>

      </div>
      {!! Form::close() !!}
      <div class="clearfix"></div>
    </div>
  </div>
</div>
@include('layouts.media_modal',['collection'=>null])
@endsection
@push('scripts_lib')
<!--map-->

<!-- iCheck -->
<script src="{{asset('plugins/iCheck/icheck.min.js')}}"></script>
<!-- select2 -->
<script src="{{asset('plugins/select2/select2.min.js')}}"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="{{asset('plugins/summernote/summernote-bs4.min.js')}}"></script>
{{--dropzone--}}
<script src="{{asset('plugins/dropzone/dropzone.js')}}"></script>
<script type="text/javascript">
    Dropzone.autoDiscover = false;
    var dropzoneFields = [];
</script>
@endpush