

<?php $__env->startSection('content'); ?>
<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark"><?php if($page=='en'): ?> English <?php elseif($page=='ar'): ?> Arabic <?php endif; ?> Promotion Banner<small class="ml-3 mr-3">|</small><small>Mobile Promotion Banner</small></h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="<?php echo e(url('/dashboard')); ?>"><i class="fa fa-dashboard"></i> <?php echo e(trans('lang.dashboard')); ?></a></li>
          <li class="breadcrumb-item"><a href="<?php echo route('promotion_banner.index'); ?>">Promotion Banner</a>
          </li>
          <li class="breadcrumb-item active">Promotion Banner List</li>
        </ol>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<div class="content">
  <div class="clearfix"></div>
  <?php echo $__env->make('flash::message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <?php if(count($errors) > 0): ?>
    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="alert alert-danger alert-dismissible" role="alert"><?php echo e($error); ?>

        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
         </button>
        </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
  <?php endif; ?>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link <?php if($page=='en'): ?> active <?php endif; ?>" href="<?php echo url()->current(); ?>?page=en"><i class="fa fa-list mr-2"></i>English Promotion Banner List</a>
        </li>
        <li class="nav-item">
          <a class="nav-link <?php if($page=='ar'): ?> active <?php endif; ?>" href="<?php echo url()->current(); ?>?page=ar"><i class="fa fa-list mr-2"></i>Arabic Promotion Banner List</a>
        </li>
        <!--<?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('promotion_banner.create')): ?>-->
        <!--<li class="nav-item">-->
        <!--  <a class="nav-link" href="<?php echo route('promotion_banner.create'); ?>"><i class="fa fa-plus mr-2"></i>Add Mobile Promotion Banner</a>-->
        <!--</li>-->
        <!--<?php endif; ?>-->
      </ul>
    </div>
    <div class="card-body">
        <form method="post" action="<?php echo route('promotion_banner.update', $promotion_banner->id); ?>" enctype="multipart/form-data">
            <?php echo csrf_field(); ?>
            <?php echo method_field('PATCH'); ?>
          <div class="form-group">
            <label for="image">Promotion Banner Image</label><br>
            <input type="file" name="image" id="image" />
            <input type="hidden" name="old_image_name" value="<?php echo e($promotion_banner->image); ?>" />
            <a href="<?php echo e(URL::to('/')); ?>/images/promotion_banner/<?php echo e($promotion_banner->image); ?>" target="_blank"><img src="<?php echo e(URL::to('/')); ?>/images/promotion_banner/<?php echo e($promotion_banner->image); ?>" style="width:35%;" alt="Mobile promotion banner" class="img-thumbnail"></a>
          </div>
          <div class="form-group">
            <label for="page_url">Page Url</label>
            <input type="checkbox" name="others" onclick="enable_text(this.checked)" class="medium" />
            <textarea required readonly="1" class="form-control" name="page_url" id="page_url" rows="2"><?php echo e($promotion_banner->page_url); ?></textarea>
          </div>
          <div class="form-group">
            <label for="status">Status</label>
            <select required name="status" class="form-control" id="status">
              <option value="">Choose status</option>
              <option value="1" <?php if($promotion_banner->status==1){ echo 'selected'; } ?>>Active</option>
              <option value="0" <?php if($promotion_banner->status==0){ echo 'selected'; } ?>>InActive</option>
            </select>
          </div>
          <button type="submit" class="btn btn-primary">Update</button>
        </form>
     </div> 
      <div class="clearfix"></div>
    </div>
  </div>
</div>
<?php $__env->stopSection(); ?>
<script>
    function enable_text(status) {
        status = (status) ? false : true;
        
        document.getElementById('page_url').readOnly = status;
    }
</script>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ahmarket/cp.ahmarket.com/deliveryapp/resources/views/promotion_banner/index.blade.php ENDPATH**/ ?>