

<?php $__env->startSection('content'); ?>
<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark">Pickup<small class="ml-3 mr-3">|</small><small>Pickup</small></h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="<?php echo e(url('/dashboard')); ?>"><i class="fa fa-dashboard"></i> <?php echo e(trans('lang.dashboard')); ?></a></li>
          <li class="breadcrumb-item"><a href="<?php echo route('pickup.index'); ?>">Pickup</a>
          </li>
          <li class="breadcrumb-item active">Pickup List</li>
        </ol>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<div class="content">
  <div class="clearfix"></div>
  <?php echo $__env->make('flash::message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link active" href="<?php echo url()->current(); ?>"><i class="fa fa-list mr-2"></i>Vehicle List</a>
        </li>
        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('pickup.create')): ?>
        <li class="nav-item">
          <a class="nav-link" href="<?php echo route('vehiclemanage.create'); ?>"><i class="fa fa-plus mr-2"></i>Add Vehicle List</a>
        </li>
        <?php endif; ?>
      </ul>
    </div>
    <div class="card-body">
       <div class="table-responsive">
                      <table class="table" id="example1">
                          <thead>
                              <tr>
                                  <th>ID</th>
                                  <th>Date</th>
                                  <th>Select Vehicle</th>
                                  <th>Reason</th>
                                
                                  <th>Action</th>
                              </tr>
                          </thead>
                          <tbody>
                              
                    <?php if(count($getpickupuser)>0): ?>
                    <?php $__currentLoopData = $getpickupuser; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$label): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                              <tr>
                                  <th scope="row"><?php echo e($label->id); ?></th>
                                  <td><?php echo e($label->date); ?></td>
                                  <?php   $category=explode(',',$label->vehicle_id );
                                   $cat=[];
                               for($i=0;$i<count($category);$i++){
                                    $vehc=DB::table('vehicle')->where('id',$category[$i])->first();
                                   $cat[]=$vehc->vehicle_name;
                               }
                               $vechim=implode(',',$cat);
                                  ?>
                                  
                                  <td><?php echo e($vechim); ?></td>
                                   <td><?php echo e($label->reason); ?></td>
                                 
                                  <td><a data-toggle="tooltip" data-placement="bottom" title="Edit" href="vehiclemanage/<?php echo e($label->id); ?>/edit" class="badge bg-light-blue"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></a> 
                            <a data-toggle="tooltip" data-placement="bottom" title="Delete" href="vehiclemanage/destroy/<?php echo e($label->id); ?>" class="badge bg-red" onclick="return confirm('Are you sure?')"><i class="fa fa-trash" aria-hidden="true"></i></a></td>
                              </tr>
                               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php else: ?>
                       <tr>
                            <td colspan="6">No record found!</td>
                       </tr>
                    <?php endif; ?>
                          </tbody>
                      </table>
                       <div class="col-xs-12 pull-right">
                	<?php echo e($getpickupuser->links()); ?>

                </div>
                  </div>
      <div class="clearfix"></div>
    </div>
  </div>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ahmarket/cp.ahmarket.com/deliveryapp/resources/views/drivermanage/index.blade.php ENDPATH**/ ?>