
<?php $__env->startPush('css_lib'); ?>
<!-- iCheck -->
<link rel="stylesheet" href="<?php echo e(asset('plugins/iCheck/flat/blue.css')); ?>">
<!-- select2 -->
<link rel="stylesheet" href="<?php echo e(asset('plugins/select2/select2.min.css')); ?>">
<!-- bootstrap wysihtml5 - text editor -->
<link rel="stylesheet" href="<?php echo e(asset('plugins/summernote/summernote-bs4.css')); ?>">

<link rel="stylesheet" href="<?php echo e(asset('plugins/dropzone/bootstrap.min.css')); ?>">
<?php $__env->stopPush(); ?>
<?php $__env->startSection('title',trans('Tolerance')); ?>
<?php $__env->startSection('content'); ?>
  <?php echo $__env->make('flash::message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <?php echo $__env->make('adminlte-templates::common.errors', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <div class="clearfix"></div>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link" href="<?php echo route('tolerance.index'); ?>"><i class="fa fa-list mr-2"></i>Tolerance</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="<?php echo route('tolerance.create'); ?>"><i class="fa fa-plus mr-2"></i>Tolerance</a>
        </li>
        <li class="nav-item">
          <a class="nav-link active" href="<?php echo url()->current(); ?>"><i class="fa fa-pencil mr-2"></i>Tolerance</a>
        </li>
      </ul>
    </div>
    <div class="card-body">
      <?php echo Form::open(['route' => ['tolerance.update', $edittolerance[0]->id], 'method' => 'patch']); ?>

      <div class="row">
<div style="flex: 100%;max-width: 100%;padding: 0 4px;" class="row">
    <!-- Name Field -->
    <div class="form-group row col-6">
        <?php echo Form::label('tolerance_percent', 'Excess Tolerance', ['class' => 'col-5 control-label text-right']); ?>

        <div class="col-7">
            <?php echo Form::text('tolerance_percent',$edittolerance[0]->tolerance_percent,  ['class' => 'form-control','placeholder'=>  trans("tolerance"),"required"=>"true"]); ?>

            <div class="form-text text-muted">
                Excess Tolerance
            </div>
        </div>
    </div>
<div class="form-group row col-6">
        <?php echo Form::label('shortest_tolerance', 'Shortest Tolerance', ['class' => 'col-5 control-label text-right']); ?>

        <div class="col-7">
            <?php echo Form::text('shortest_tolerance', $edittolerance[0]->shortest_tolerance,  ['class' => 'form-control','placeholder'=>  'Shortest Tolerance', "required"=>"true"]); ?>

            <div class="form-text text-muted">
                Shortest Tolerance
            </div>
        </div>
    </div>

 <div class="form-group row col-6">
        <?php echo Form::label('status', trans("lang.status"), ['class' => 'col-5 control-label text-right']); ?>

        <div class="col-7">
             <select class="form-control" required="true" name="status" id="status">
                                        <option value="1" <?php if($result['edittolerance'][0]->status=="1"): ?>
                                              selected  <?php endif; ?>>Active</option>  
                                        <option value="0" <?php if($result['edittolerance'][0]->status=="0"): ?>
                                              selected  <?php endif; ?>>InActive</option> 
                                        </select>
            <div class="form-text text-muted">
                <?php echo e(trans("lang.status")); ?>

            </div>
        </div>
    </div>

</div>
<!-- Submit Field -->
<div class="form-group col-12 text-right">
    <button type="submit" class="btn btn-<?php echo e(setting('theme_color')); ?>"><i class="fa fa-save"></i> <?php echo e(trans('lang.save')); ?> <?php echo e(trans('tolerance')); ?></button>
    <a href="<?php echo route('tolerance.index'); ?>" class="btn btn-default"><i class="fa fa-undo"></i> <?php echo e(trans('lang.cancel')); ?></a>
</div>

      </div>
      <?php echo Form::close(); ?>

      <div class="clearfix"></div>
    </div>
  </div>
</div>
<?php echo $__env->make('layouts.media_modal',['collection'=>null], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('scripts_lib'); ?>
<!-- iCheck -->
<script src="<?php echo e(asset('plugins/iCheck/icheck.min.js')); ?>"></script>
<!-- select2 -->
<script src="<?php echo e(asset('plugins/select2/select2.min.js')); ?>"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="<?php echo e(asset('plugins/summernote/summernote-bs4.min.js')); ?>"></script>

<script src="<?php echo e(asset('plugins/dropzone/dropzone.js')); ?>"></script>
<script type="text/javascript">
    Dropzone.autoDiscover = false;
    var dropzoneFields = [];
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ahmarket/cp.ahmarket.com/deliveryapp/resources/views/tolerance/edit.blade.php ENDPATH**/ ?>