

<?php $__env->startSection('content'); ?>
<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark"><?php echo e(trans('lang.contact_details_plural')); ?><small class="ml-3 mr-3">|</small><small><?php echo e(trans('lang.contact_details_desc')); ?></small></h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="<?php echo e(url('/dashboard')); ?>"><i class="fa fa-dashboard"></i> <?php echo e(trans('lang.dashboard')); ?></a></li>
          <li class="breadcrumb-item"><a href="<?php echo route('contact_details.index'); ?>"><?php echo e(trans('lang.contact_details_plural')); ?></a>
          </li>
          <li class="breadcrumb-item active"><?php echo e(trans('lang.contact_details_table')); ?></li>
        </ol>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<div class="content">
  <div class="clearfix"></div>
  <?php echo $__env->make('flash::message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link active" href="<?php echo url()->current(); ?>"><i class="fa fa-list mr-2"></i><?php echo e(trans('lang.contact_details_table')); ?></a>
        </li>
        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('locations.create')): ?>
        <li class="nav-item">
          <a class="nav-link" href="<?php echo route('contact_details.create'); ?>"><i class="fa fa-plus mr-2"></i><?php echo e(trans('lang.contact_details_create')); ?></a>
        </li>
        <?php endif; ?>
      </ul>
    </div>
    <div class="card-body">
       <div class="table-responsive">
                      <table class="table" id="example1">
                          <thead>
                              <tr>
                                  <th>ID</th>
                                  <th>Phone Number</th>
                                  <th>Email Id</th>
                                  <th>Country</th>
                                  <th>Store Name</th>
                                  <th>Status</th>
                                  <th>Action</th>
                              </tr>
                          </thead>
                          <tbody>
                    <?php if(count($contact_details)>0): ?>
                    <?php $__currentLoopData = $contact_details; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$contact): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                              <tr>
                                  <th scope="row"><?php echo e($contact->id); ?></th>
                                  <td><?php echo e($contact->phone_number); ?></td>
                                  <td><?php echo e($contact->email_id); ?></td>
                                  <td>
                                  <?php if(count($country)>0): ?>
                                  <?php $__currentLoopData = $country; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$country1): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> 
                                  <?php if($contact->country==$country1['country_code']): ?>
                                        <?php echo e($country1['country_name']); ?>

                                  <?php endif; ?>
                                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                  <?php endif; ?>
                                  </td>
                                  <td><?php echo e($contact->name); ?></td>
                                  <td>
                                    <?php if($contact->active=="1"): ?>  
                                     Active
                                      <?php else: ?>
                                       InActive 
                                      <?php endif; ?>
                                      </td>
                                  <td><a data-toggle="tooltip" data-placement="bottom" title="Edit" href="contact_details/edit/<?php echo e($contact->id); ?>" class="badge bg-light-blue"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></a> 
                            <a data-toggle="tooltip" data-placement="bottom" title="Delete" href="contact_details/destroy/<?php echo e($contact->id); ?>" class="badge bg-red" onclick="return confirm('Are you sure?')"><i class="fa fa-trash" aria-hidden="true"></i></a></td>
                              </tr>
                               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php else: ?>
                       <tr>
                            <td colspan="6">No record found!</td>
                       </tr>
                    <?php endif; ?>
                          </tbody>
                      </table>
                       <div class="col-xs-12 pull-right">
                	<?php echo e($contact_details->links()); ?>

                </div>
                  </div>
      <div class="clearfix"></div>
    </div>
  </div>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ctownlive/cp.ctown.jo/deliveryapp/resources/views/contact_details/index.blade.php ENDPATH**/ ?>