
  <?php $__env->startPush('css_lib'); ?>
<style>
a:not([href]):not([tabindex]) {
color:#007bff !important;
}
</style>
 <?php $__env->stopPush(); ?>
<?php $__env->startSection('content'); ?>
<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark">Section<small class="ml-3 mr-3">|</small><small>Section</small></h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="<?php echo e(url('/dashboard')); ?>"><i class="fa fa-dashboard"></i> <?php echo e(trans('lang.dashboard')); ?></a></li>
          <li class="breadcrumb-item"><a href="<?php echo route('mobile_section.index'); ?>">Section</a>
          </li>
          <li class="breadcrumb-item active">Section List</li>
        </ol>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<div class="content">
  <div class="clearfix"></div>
  <?php echo $__env->make('flash::message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link active" href="<?php echo url()->current(); ?>"><i class="fa fa-list mr-2"></i>Section List</a>
        </li>
        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('mobile_section.index')): ?>
        <li class="nav-item">
          <a class="nav-link" href="<?php echo route('mobile_section.create'); ?>"><i class="fa fa-plus mr-2"></i>Add Section</a>
        </li>
        <?php endif; ?>
      </ul>
    </div>
       <div class="alert alert-success alertupdate" style="display:none">
    <strong>Success!</strong> Updated Successfully.
  </div>
    <div class="card-body">
       <div class="table-responsive">
                      <table class="table" id="example1">
                          <thead>
                              <tr>
                                  <th>ID</th>
                                  <th>Title</th>
                                   <th>Section Order</th>
                                  <th>Added / Modified date</th>
                                  <th>Action</th>
                              </tr>
                          </thead>
                          <tbody>
                    <?php if(count($mobilesection)>0): ?>
                    <?php $__currentLoopData = $mobilesection; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$label): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                              <tr>
                                  <th scope="row"><?php echo e($label->id); ?></th>
                                 
                                  <td id="name_<?php echo $key;?>"><?php echo e($label->section_name); ?></td>
                                                                    <td>
                                      <p><input type="number" value="<?php echo $label->section_order ?>" id="order_<?php echo $key;?>"></p>
                                  </td>
                                  <td>
                                      <p><?php echo e($label->created_at); ?></p>
                                  </td>
                                  <td><a data-toggle="tooltip" data-placement="bottom" title="Edit" href="mobile_section/edit/<?php echo e($label->id); ?>" class="badge bg-light-blue"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></a> 
                                  
                            <a data-toggle="tooltip" data-placement="bottom" title="Delete" href="mobile_section/destroy/<?php echo e($label->id); ?>" class="badge bg-red" onclick="return confirm('Are you sure?')"><i class="fa fa-trash" aria-hidden="true"></i></a>
                            <a data-toggle="tooltip" data-placement="bottom" title="save" onclick="changeorder(<?php echo $key; ?>)" class="badge bg-light-blue"><i class="fa fa-save" aria-hidden="true"></i></a> 
                            </td>
                              </tr>
                               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php else: ?>
                       <tr>
                            <td colspan="6">No record found!</td>
                       </tr>
                    <?php endif; ?>
                          </tbody>
                      </table>
                       <div class="col-xs-12 pull-right">
                
                </div>
                  </div>
      <div class="clearfix"></div>
    </div>
  </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('scripts_lib'); ?>
<script>

 var div =  document.getElementsByClassName("alertupdate");
 var myIntv = setInterval(function() {
   
  
     div[0].style.display = 'none';
}, 5 * 1000);
   function changeorder(id){
       var k = document.getElementsByClassName("alertupdate");
       k[0].style.display = "inline";
       var i= document.getElementById('order_'+id).value;
       var y= document.getElementById('name_'+id).innerHTML;
       
  $.ajax({
     url: "https://cp.ajmanmarkets.ae/mobileorderchange.php",
     type: 'post',
     data: {
      search: y,
      order: i,
      request:1
     },
     success: function( data ) {
     window.location.reload(true);

     }
     
    });

  } 
    
</script>
 
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ctowncp/cp.ctown.jo/deliveryapp/resources/views/mobile_section/index.blade.php ENDPATH**/ ?>