
<?php $__env->startPush('css_lib'); ?>
  <!-- iCheck -->
  <link rel="stylesheet" href="<?php echo e(asset('plugins/iCheck/flat/blue.css')); ?>">
  <!-- select2 -->
  <link rel="stylesheet" href="<?php echo e(asset('plugins/select2/select2.min.css')); ?>">
  <!-- bootstrap wysihtml5 - text editor -->
  <link rel="stylesheet" href="<?php echo e(asset('plugins/summernote/summernote-bs4.css')); ?>">
  
  <link rel="stylesheet" href="<?php echo e(asset('plugins/dropzone/bootstrap.min.css')); ?>">
<?php $__env->stopPush(); ?>
<?php $__env->startSection('title',"Category"); ?>
<?php $__env->startSection('content'); ?>
  <?php echo $__env->make('flash::message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <?php echo $__env->make('adminlte-templates::common.errors', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <div class="clearfix"></div>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link" href="<?php echo route('mobile_section.index'); ?>"><i class="fa fa-list mr-2"></i>Section List</a>
        </li>
        <li class="nav-item">
          <a class="nav-link active" href="<?php echo url()->current(); ?>"><i class="fa fa-plus mr-2"></i>Add Section</a>
        </li>
      </ul>
    </div>
    <div class="card-body">
  
           <?php echo Form::open(['route' => ['mobile_section.sectionstore', $section[0]->id], 'method' => 'patch', 'files'=>true]); ?>

          
      <div class="row">
<div style="flex: 100%;max-width: 100%;padding: 0 4px;" class="row">
    <!-- Name Field -->
    <div class="form-group row col-12">
        <?php echo Form::label('title',"Section Name", ['class' => 'col-3 control-label']); ?>

        <div class="col-7">
            <?php echo Form::text('title', $section[0]->section_name,  ['class' => 'form-control','placeholder'=>"Title"  ]); ?>

            
        </div>
    </div>
      <div class="form-group row col-12">
        <?php echo Form::label('title',"Screens", ['class' => 'col-3 control-label']); ?>

        <div class="col-7">
            <?php echo Form::text('screens', $section[0]->screens,  ['class' => 'form-control','placeholder'=>"Title"  ]); ?>

            
        </div>
    </div>
     <div class="form-group row col-12">
        <?php echo Form::label('Categories','Categories', ['class' => 'col-3 control-label']); ?>

            <div class="col-7">
        <select class="form-control" name="cat_id" id="cat_id" required>
        <?php if(count($categories)>0): ?>
        <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$cate): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <option value="<?php echo e($cate->id); ?>" <?php if($cate->id==$section[0]->category_id){?>selected<?php }?>><?php echo e($cate->name); ?></option>  
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <?php endif; ?>
        </select>   
        </div>
    </div>
   
        <div class="form-group row col-12">
        <?php echo Form::label('title',"Upload Image En", ['class' => 'col-3 control-label']); ?>

        <div class="col-7">
        <?php echo Form::file('image'); ?>

            
        </div>
    </div>
     <div class="form-group row col-12">
        <?php echo Form::label('title',"Upload Image Ar", ['class' => 'col-3 control-label']); ?>

        <div class="col-7">
        <?php echo Form::file('image_ar'); ?>

            
        </div>
    </div>
  
<div class="form-group col-12 text-right">
    <button type="submit" class="btn btn-<?php echo e(setting('theme_color')); ?>"><i class="fa fa-save"></i> <?php echo e(trans('lang.save')); ?></button>
    <a href="<?php echo route('mobile_section.index'); ?>" class="btn btn-default"><i class="fa fa-undo"></i> <?php echo e(trans('lang.cancel')); ?></a>
</div>

      </div>
      <?php echo Form::close(); ?>

      <div class="clearfix"></div>
    </div>
  </div>
</div>
<?php echo $__env->make('layouts.media_modal',['collection'=>null], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('scripts_lib'); ?>
<!-- iCheck -->
<script src="<?php echo e(asset('plugins/iCheck/icheck.min.js')); ?>"></script>
<!-- select2 -->
<script src="<?php echo e(asset('plugins/select2/select2.min.js')); ?>"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="<?php echo e(asset('plugins/summernote/summernote-bs4.min.js')); ?>"></script>

<script src="<?php echo e(asset('plugins/dropzone/dropzone.js')); ?>"></script>
<script type="text/javascript">
    Dropzone.autoDiscover = false;
    var dropzoneFields = [];
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ctownlive/cp.ctown.jo/deliveryapp/resources/views/mobile_section/sectionedit.blade.php ENDPATH**/ ?>