
<?php $__env->startPush('css_lib'); ?>
<!-- iCheck -->
<link rel="stylesheet" href="<?php echo e(asset('plugins/iCheck/flat/blue.css')); ?>">
<!-- select2 -->
<link rel="stylesheet" href="<?php echo e(asset('plugins/select2/select2.min.css')); ?>">
<!-- bootstrap wysihtml5 - text editor -->
<link rel="stylesheet" href="<?php echo e(asset('plugins/summernote/summernote-bs4.css')); ?>">

<link rel="stylesheet" href="<?php echo e(asset('plugins/dropzone/bootstrap.min.css')); ?>">
<style>
     #esearchcity{
        left:unset !important;
    }
    .alert.alert-danger{
        color: #a94442!important;
        background: #f2dede!important;
        border: 1px solid !important;
        padding: 10px 23px;
        margin-bottom: 10px;
        text-align: center;
    }
     .alert.alert-success{
        background: #dff2bf!important;
        color: #4f8a10!important;
        border: 1px solid !important;
        padding: 10px 23px;
        margin-bottom: 10px;
        text-align: center;
    }
</style>
<?php $__env->stopPush(); ?>
<?php $__env->startSection('title',trans('lang.locations_table')); ?>
<?php $__env->startSection('content'); ?>
  <?php echo $__env->make('flash::message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <?php echo $__env->make('adminlte-templates::common.errors', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <div class="clearfix"></div>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link" href="<?php echo route('return.index'); ?>"><i class="fa fa-list mr-2"></i>Returns List</a>
        </li>
        <!--<li class="nav-item">-->
        <!--  <a class="nav-link" href="<?php echo route('locations.create'); ?>"><i class="fa fa-plus mr-2"></i>Add Help and support</a>-->
        <!--</li>-->
        <li class="nav-item">
          <a class="nav-link" href="<?php echo route('return.index'); ?>/edit/<?php echo e($return_id); ?>"><i class="fa fa-pencil mr-2"></i>View/Edit Retrun Product</a>
        </li>
        <li class="nav-item">
          <a class="nav-link active" href="javascript:void(0)"><i class="fa fa-pencil mr-2"></i>Create Credit Memo</a>
        </li>
      </ul>
    </div>
    <div class="card-body">
        <div class="container">
          <div class="row">
            <div class="col-sm-12 mt-4 mb-4 table-responsive">
            <h3>Items to Refund</h3>
            <table class="table">
              <thead>
                <tr>
                  <th scope="col">#</th>
                  <th scope="col">Product</th>
                  <th scope="col">Price</th>
                  <th scope="col">Qty</th>
                  <th scope="col">Subtotal</th>
                  <th scope="col">Discount Price</th>
                  <th scope="col">Total</th>
                </tr>
              </thead>
              <tbody>
                  <?php $subTotal = 0; ?>
              <?php $__currentLoopData = $items_returned; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index=>$items_returned1): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <?php 
                $subTotal += $items_returned1->row_total-$items_returned1->discount_amount;
              ?>
                <tr>
                  <th scope="row"><?php echo e($index+1); ?></th>
                  <td><?php echo e($items_returned1->name); ?><br><span><b>Sku:</b> <?php echo e($items_returned1->sku); ?></span></td>
                  <td><?php echo e($items_returned1->price); ?></td>
                  <td><?php echo e($items_returned1->qty_ordered); ?></td>
                  <td>QAR <?php echo e($items_returned1->row_total); ?></td>
                  <td>QAR <?php echo e($items_returned1->discount_amount); ?></td>
                  <td>QAR <?php echo e(number_format($items_returned1->row_total-$items_returned1->discount_amount, 4, '.', '')); ?></td>
                </tr>
             <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
              </tbody>
            </table>
        </div>
        </div>
        <div class="clearfix"></div>
        <div class="row">
          <div class="col-5 offset-7">
            <div class="table-responsive table-light">
              <table class="table">
                <tbody><tr>
                  <th class="text-right"><?php echo e(trans('lang.order_subtotal')); ?></th>
                    <td>QAR <?php echo number_format($subTotal, 4, '.', ''); ?></td>
                </tr>
                <tr>
                  <th class="text-right"><?php echo e(trans('lang.order_total')); ?></th>
                    <td>QAR <?php echo number_format($subTotal, 4, '.', ''); ?></td>
                </tr>
                </tbody></table>
            </div>
          </div>
        </div>
        <div>
            <?php if($pts_order_status==3 && $scount==0){?>
            <form action="<?php echo route('return.refund'); ?>" method="get">
                <div class="form-group row">
                    <label for="refundstorcredit" class="col-sm-2 col-form-label">Refund to Store Credit</label>
                    <div class="col-sm-3">
                      <input type="text" name="refund_store_credit" class="form-control" id="refundstorcredit" value="<?php echo e(number_format($subTotal, 4, '.', '')); ?>" placeholder="Enter Refund Amount">
                    </div>
                    <input type="hidden" name="customer_id" value="<?php echo e($customer_id); ?>" />
                    <input type="hidden" name="order_id" value="<?php echo e($order_id); ?>" />
                    <div class="col-sm-3">
                       <button type="submit" onclick="return confirm('Are you sure you want to refund this amount?');" class="btn btn-primary">Refund</button>
                    </div>
                 </div>
            </form>
            <?php }?>
        </div>
    </div>
  </div>
</div>
<?php echo $__env->make('layouts.media_modal',['collection'=>null], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('scripts_lib'); ?>
<!-- iCheck -->

<script src="<?php echo e(asset('plugins/iCheck/icheck.min.js')); ?>"></script>
<!-- select2 -->
<script src="<?php echo e(asset('plugins/select2/select2.min.js')); ?>"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="<?php echo e(asset('plugins/summernote/summernote-bs4.min.js')); ?>"></script>

<script src="<?php echo e(asset('plugins/dropzone/dropzone.js')); ?>"></script>
<script type="text/javascript">
    Dropzone.autoDiscover = false;
    var dropzoneFields = [];
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ahmarket/cp.ahmarket.com/deliveryapp/resources/views/return/creditmemo.blade.php ENDPATH**/ ?>