

<?php $__env->startSection('content'); ?>
<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark">New Arrival<small class="ml-3 mr-3">|</small><small>New Arrival</small></h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="<?php echo e(url('/dashboard')); ?>"><i class="fa fa-dashboard"></i> <?php echo e(trans('lang.dashboard')); ?></a></li>
          <li class="breadcrumb-item"><a href="<?php echo route('newarrival.index'); ?>">New Arrival</a>
          </li>
          <li class="breadcrumb-item active">New Arrival</li>
        </ol>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<div class="content">
  <div class="clearfix"></div>
  <?php echo $__env->make('flash::message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link active" href="<?php echo url()->current(); ?>"><i class="fa fa-list mr-2"></i>New Arrival</a>
        </li>
        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('newarrival.create')): ?>
        <li class="nav-item">
          <a class="nav-link" href="<?php echo route('newarrival.create'); ?>"><i class="fa fa-plus mr-2"></i>Create New Arrival</a>
        </li>
        <?php endif; ?>
        <!--<?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('vehicle.store')): ?>-->
        <!--<li class="nav-item">-->
        <!--  <a class="nav-link" href="<?php echo route('vehicle.store'); ?>"><i class="fa fa-plus mr-2"></i><?php echo e(trans('lang.vehicle_store')); ?></a>-->
        <!--</li>-->
        <!--<?php endif; ?>-->
      </ul>
    </div>
    <div class="card-body">
       <div class="table-responsive">
                      <table class="table" id="example1">
                          <thead>
                              <tr>
                                  <th>ID</th>
                                  <th>New Arrival Date</th>
                                  <th>Created date</th>
                                  <th>Action</th>
                              </tr>
                          </thead>
                          <tbody>
                    <?php if(count($newarrival)>0): ?>
                    <?php $__currentLoopData = $newarrival; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$newarrival1): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                              <tr>
                                  <th scope="row"><?php echo e($newarrival1->id); ?></th>
                                  <td><?php echo e($newarrival1->new_to_date); ?></td>
                                  <td><?php echo e($newarrival1->created); ?></td>
                                  <td><a data-toggle="tooltip" data-placement="bottom" title="Edit" href="newarrival/edit/<?php echo e($newarrival1->id); ?>" class="badge bg-light-blue"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></a> 
                            <a data-toggle="tooltip" data-placement="bottom" title="Delete" href="newarrival/destroy/<?php echo e($newarrival1->id); ?>" class="badge bg-red" onclick="return confirm('Are you sure?')"><i class="fa fa-trash" aria-hidden="true"></i></a></td>
                              </tr>
                               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php else: ?>
                       <tr>
                            <td colspan="6">No record found!</td>
                       </tr>
                    <?php endif; ?>
                          </tbody>
                      </table>
                       <div class="col-xs-12 pull-right">
                	<?php echo e($newarrival->links()); ?>

                </div>
                  </div>
      <div class="clearfix"></div>
    </div>
  </div>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ctownlive/cp.ctown.jo/deliveryapp/resources/views/newarrival/index.blade.php ENDPATH**/ ?>