
<?php $__env->startPush('css_lib'); ?>
<!-- iCheck -->
<link rel="stylesheet" href="<?php echo e(asset('plugins/iCheck/flat/blue.css')); ?>">
<!-- select2 -->
<link rel="stylesheet" href="<?php echo e(asset('plugins/select2/select2.min.css')); ?>">
<!-- bootstrap wysihtml5 - text editor -->
<link rel="stylesheet" href="<?php echo e(asset('plugins/summernote/summernote-bs4.css')); ?>">

<link rel="stylesheet" href="<?php echo e(asset('plugins/dropzone/bootstrap.min.css')); ?>">
<?php $__env->stopPush(); ?>
<?php $__env->startSection('title',"Sms Settings"); ?>
<?php $__env->startSection('content'); ?>
  <?php echo $__env->make('flash::message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <?php echo $__env->make('adminlte-templates::common.errors', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <div class="clearfix"></div>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
          <li class="nav-item">
          <a class="nav-link active" href="<?php echo url()->current(); ?>"><i class="fa fa-pencil mr-2"></i>SMS</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="<?php echo route('sms.create'); ?>"><i class="fa fa-list mr-2"></i>Add</a>
        </li>
    </div>
    <div class="card-body">
       <div class="table-responsive">
                      <table class="table" id="example1">
                          <thead>
                              <tr>
                                  <th>ID</th>
                                  <th>Country</th>
                                  <th>Store Name</th>
                                  <th>Sms Url</th>
                                  <th>Country Code</th>
                                  <th>Added / Modified date</th>
                                  <th>Action</th>
                              </tr>
                          </thead>
                          <tbody>
                    <?php if(count($sms)>0): ?>
                    <?php $__currentLoopData = $sms; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$sms1): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                              <tr>
                            <th scope="row"><?php echo e($sms1->id); ?></th>
                            <td><?php echo e($sms1->country); ?></td>
                            <td><?php echo e($sms1->name); ?></td>
                            <td><?php echo e($sms1->url); ?></td>
                            <td><?php echo e($sms1->country_code); ?></td>
                            <td><?php if(empty($sms1->modified)){?>
                            <p><?php echo e($sms1->created); ?></p>
                            <?php } else {?><p><?php echo e($sms1->modified); ?></p><?php }?></td>
                            <td><a data-toggle="tooltip" data-placement="bottom" title="Edit" href="sms/edit/<?php echo e($sms1->id); ?>" class="badge bg-light-blue"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></a> 
                            <a data-toggle="tooltip" data-placement="bottom" title="Delete" href="sms/destroy/<?php echo e($sms1->id); ?>" class="badge bg-red" onclick="return confirm('Are you sure?')"><i class="fa fa-trash" aria-hidden="true"></i></a></td>
                              </tr>
                               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php else: ?>
                       <tr>
                            <td colspan="6">No record found!</td>
                       </tr>
                    <?php endif; ?>
                          </tbody>
                      </table>
                       <div class="col-xs-12 pull-right">
                	<?php echo e($sms->links()); ?>

                </div>
                  </div>
      <div class="clearfix"></div>
      </div>
      <div class="clearfix"></div>
    </div>
  </div>
</div>
<?php echo $__env->make('layouts.media_modal',['collection'=>null], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('scripts_lib'); ?>
<!-- iCheck -->
<script src="<?php echo e(asset('plugins/iCheck/icheck.min.js')); ?>"></script>
<!-- select2 -->
<script src="https://code.jquery.com/jquery-1.10.1.min.js">
<script src="<?php echo e(asset('plugins/select2/select2.min.js')); ?>"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="<?php echo e(asset('plugins/summernote/summernote-bs4.min.js')); ?>"></script>

<script src="<?php echo e(asset('plugins/dropzone/dropzone.js')); ?>"></script>
<script type="text/javascript">
    Dropzone.autoDiscover = false;
    var dropzoneFields = [];
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ctowncp/cp.ctown.jo/deliveryapp/resources/views/sms/index.blade.php ENDPATH**/ ?>