

<?php $__env->startSection('content'); ?>
<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark"><?php echo e(trans('lang.locationdetails_plural')); ?><small class="ml-3 mr-3">|</small><small><?php echo e(trans('lang.locationdetails_desc')); ?></small></h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="<?php echo e(url('/dashboard')); ?>"><i class="fa fa-dashboard"></i> <?php echo e(trans('lang.dashboard')); ?></a></li>
          <li class="breadcrumb-item"><a href="<?php echo route('location_details.index'); ?>"><?php echo e(trans('lang.locationdetails_plural')); ?></a>
          </li>
          <li class="breadcrumb-item active"><?php echo e(trans('lang.locationdetails_table')); ?></li>
        </ol>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<div class="content">
  <div class="clearfix"></div>
  <?php echo $__env->make('flash::message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link active" href="<?php echo url()->current(); ?>"><i class="fa fa-list mr-2"></i><?php echo e(trans('lang.locationdetails_table')); ?></a>
        </li>
        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('location_details.create')): ?>
        <li class="nav-item">
          <a class="nav-link" href="<?php echo route('location_details.create'); ?>"><i class="fa fa-plus mr-2"></i><?php echo e(trans('lang.locationdetails_create')); ?></a>
        </li>
        <?php endif; ?>
      </ul>
    </div>
    <div class="card-body">
       <div class="table-responsive">
                      <table class="table" id="example1">
                          <thead>
                              <tr>
                                  <th>ID</th>
                                  <th>Country</th>
                                  <!--<th>Store Name</th>-->
                                  <th>City Name</th>
                                   <th>Area</th>
                                    <th>Latitude</th>
                                     <th>Longitude</th>
                                  <th>Added / Modified date</th>
                                  <th>Action</th>
                              </tr>
                          </thead>
                          <tbody>
                              <?php 
                                $multiple_store_name_get = '';
                              ?>
                    <?php if(count($locationdetails)>0): ?>
                    <?php $__currentLoopData = $locationdetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$loc): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <?php 
                        $multiple_store_name_get = explode(', ', $loc->locdec_store_id);
                    ?>
                              <tr>
                                  <th scope="row"><?php echo e($loc->locdec_id); ?></th>
                                  <td>
                                 <!--<?php if(count($country)>0): ?>-->
                                 <!--   <?php $__currentLoopData = $country; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$country1): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> -->
                                 <!--     <?php if($loc->country_code==$country1['country_code']): ?>-->
                                 <!--       <?php echo e($country1['country_name']); ?>-->
                                 <!-- <?php endif; ?>-->
                                 <!-- <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>-->
                                 <!-- <?php endif; ?>-->
                                 <?php echo e($loc->country_code); ?>

                                 </td>
                                  <!--<td>-->
                                    <?php 
                                        // $store_value = array();
                                    ?>
                                  <!-- <?php if(count($store)>0): ?>-->
                                  <!--<?php $__currentLoopData = $store; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$store1): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> -->
                                  <!--    <?php if(in_array($store1->group_id, $multiple_store_name_get)): ?>-->
                                        <?php 
                                        //   array_push($store_value, $store1->name);
                                         ?>
                                  <!--    <?php endif; ?>-->
                                  <!--<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>-->
                                  <!--<?php endif; ?>-->
                                  <?php 
                                    // $stre_val = implode(', ',$store_value);
                                    // echo $stre_val;
                                  ?>
                                 <!--</td>-->
                                  <td>
                                    <?php echo e($loc->name); ?>

                                 </td>
                                  <td><?php echo e($loc->area_name); ?></td>
                                   <td><?php echo e($loc->latitude); ?></td>
                                    <td><?php echo e($loc->longitude); ?></td>
                                  <td><?php if(empty($loc->modified)){?>
                                      <p><?php echo e($loc->created); ?></p>
                                  <?php } else {?><p><?php echo e($loc->modified); ?></p><?php }?></td>
                                  <td><a data-toggle="tooltip" data-placement="bottom" title="Edit" href="location_details/edit/<?php echo e($loc->locdec_id); ?>" class="badge bg-light-blue"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></a> 
                            <a data-toggle="tooltip" data-placement="bottom" title="Delete" href="location_details/destroy/<?php echo e($loc->locdec_id); ?>" class="badge bg-red" onclick="return confirm('Are you sure?')"><i class="fa fa-trash" aria-hidden="true"></i></a></td>
                              </tr>
                               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php else: ?>
                       <tr>
                            <td colspan="6">No record found!</td>
                       </tr>
                    <?php endif; ?>
                          </tbody>
                      </table>
                       <div class="col-xs-12 pull-right">
                	<?php echo e($locationdetails->links()); ?>

                </div>
                  </div>
      <div class="clearfix"></div>
    </div>
  </div>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ctownlive/cp.ctown.jo/deliveryapp/resources/views/location_details/index.blade.php ENDPATH**/ ?>