<?php $ordersdatatables = app('\DB'); ?>
<div class='btn-group btn-group-sm'>
  <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('orders.show')): ?>
  <a data-toggle="tooltip" data-placement="bottom" title="<?php echo e(trans('lang.view_details')); ?>" href="<?php echo e(route('orders.show', $entity_id)); ?>?<?php
    $productType = isset($_GET['type']) ? $_GET['type'] : 'Grocery';
    if($productType == "Grocery"){
        echo "type=Grocery";
    } else if($productType == "Warehouse"){
        echo "type=Warehouse";
    } else if($productType == "Supplier"){
        echo "type=Supplier";
    }
  ?>" class='btn btn-link'>
    <i class="fa fa-eye"></i>
  </a>
  <?php endif; ?>
<?php 
$totalProductCount = $ordersdatatables::table('sales_order_item')->where('order_id',$entity_id)->where('delivery_from',"$productType")->select(DB::raw('Count(*) AS total_product_count'))->first();
$subStatusCount = $ordersdatatables::table('sales_order_item')->where('order_id',$entity_id)->where('delivery_from',"$productType")->where('sub_status','canceled')->where('qty_canceled','>=','1')->select(DB::raw('Count(*) AS total_substatus_count'))->first();

$totalProCount = isset($totalProductCount->total_product_count)?$totalProductCount->total_product_count:"0";
$subStaCount = isset($subStatusCount->total_substatus_count)?$subStatusCount->total_substatus_count:"0";

if (! ("$orstatus" == 'Delivered' || "$totalProCount" == "$subStaCount") ){
?>
  <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('orders.edit')): ?>
  <a data-toggle="tooltip" data-placement="bottom" title="<?php echo e(trans('lang.order_edit')); ?>" href="<?php echo e(route('orders.edit', $entity_id)); ?>?<?php
    $productType = isset($_GET['type']) ? $_GET['type'] : 'Grocery';
   if($productType == "Grocery"){
        echo "type=Grocery";
    } else if($productType == "Warehouse"){
        echo "type=Warehouse";
    } else if($productType == "Supplier"){
        echo "type=Supplier";
    }
  ?>" class='btn btn-link'>
    <i class="fa fa-edit"></i>
  </a>
  <?php endif; ?>
<?php }?>
<?php if (! ("$orstatus" == 'Delivered' || "$totalProCount" == "$subStaCount") ){?>
  <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('orders.destroy')): ?>
<!--<?php echo Form::open(['route' => ['orders.destroy', $entity_id], 'method' => 'delete']); ?>-->
  <?php echo Form::button('<i class="fa fa-trash"></i>', [
  'type' => 'button',
  'class' => 'btn btn-link text-danger',
  'onclick' => "cancelOrders($entity_id,'$productType')"
  ]); ?>

<!--<?php echo Form::close(); ?>-->
  <?php endif; ?>
<?php }?>
</div>
<script>
    function cancelOrders(orderId,productType){
        if(confirm('Are you sure you want to cancel in this order?')){
           if(orderId != ''){
            $.ajax({
                    url: "https://ctown.jo/api/ordercancel1.php",
                    type: 'POST',
                    data: {
                          "order_id" : orderId,
                          "product_type" : productType,
                         },
                    success: function(dataa) {
                            //  alert(dataa);
                       // console.log(dataa);
                        data = JSON.parse(dataa);
                            // console.log(data);
                        if(data.success == 1){
                            alert(data.message);
                            location.reload();
                        } else {
                                alert(data.message);
                        }
                    }
                });
            } else {
                alert("Sorry, Didn't Cancel The Order")
            }
        }
    }
</script><?php /**PATH /home/ctownlive/cp.ctown.jo/deliveryapp/resources/views/orders/datatables_actions.blade.php ENDPATH**/ ?>