
<?php $__env->startPush('css_lib'); ?>
<!-- iCheck -->
<link rel="stylesheet" href="<?php echo e(asset('plugins/iCheck/flat/blue.css')); ?>">
<!-- select2 -->
<link rel="stylesheet" href="<?php echo e(asset('plugins/select2/select2.min.css')); ?>">
<!-- bootstrap wysihtml5 - text editor -->
<link rel="stylesheet" href="<?php echo e(asset('plugins/summernote/summernote-bs4.css')); ?>">

<link rel="stylesheet" href="<?php echo e(asset('plugins/dropzone/bootstrap.min.css')); ?>">
<?php $__env->stopPush(); ?>
<?php $__env->startSection('title',"Category"); ?>
<?php $__env->startSection('content'); ?>
  <?php echo $__env->make('flash::message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <?php echo $__env->make('adminlte-templates::common.errors', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <div class="clearfix"></div>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link" href="<?php echo route('category.index'); ?>"><i class="fa fa-list mr-2"></i>Category</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="<?php echo route('category.create'); ?>"><i class="fa fa-plus mr-2"></i>Add Category</a>
        </li>
        <li class="nav-item">
          <a class="nav-link active" href="<?php echo url()->current(); ?>"><i class="fa fa-pencil mr-2"></i>Edit Category</a>
        </li>
      </ul>
    </div>
    <div class="card-body">
      <?php echo Form::open(['route' => ['category.update', $editlabel[0]->id], 'method' => 'patch']); ?>

      <div class="row">
<div style="flex: 100%;max-width: 100%;padding: 0 4px;" class="row">
    <!-- Name Field -->
    <div class="form-group row col-12">
        <?php echo Form::label('title',"Title(English)", ['class' => 'col-3 control-label']); ?>

        <div class="col-7">
            <?php echo Form::text('title',$editlabel[0]->title,  ['class' => 'form-control','placeholder'=> "English"]); ?>

            <div class="form-text text-muted">
                 Enter English Title
            </div>
        </div>
    </div>
     <div class="form-group row col-12">
        <?php echo Form::label('title',"Title(Arabic)", ['class' => 'col-3 control-label']); ?>

        <div class="col-7">
            <?php echo Form::text('title_ar',$editlabel[0]->title_ar,  ['class' => 'form-control','placeholder'=> "Arabic"]); ?>

            <div class="form-text text-muted">
                Enter Arabic Title
            </div>
        </div>
    </div>
<div class="form-group row col-12">
        <?php echo Form::label('Categories','Categories', ['class' => 'col-3 control-label']); ?>

            <div class="col-7">
        <select class="form-control" name="category_id[]" id="category_id" multiple required>
        <?php if(count($result['categories'])>0): ?>
        <?php $__currentLoopData = $result['categories']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$cate): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php $explode=explode(',',$editlabel[0]->category_id);?>
        <option value="<?php echo e($cate->id); ?>" <?php if(in_array($cate->id,$explode)){?>selected<?php }?>><?php echo e($cate->name); ?></option>  
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <?php endif; ?>
        </select>   
        </div>
    </div>
 <div class="form-group row col-12">
        <?php echo Form::label('status', trans("lang.status"), ['class' => 'col-3 control-label']); ?>

        <div class="col-7">
             <select class="form-control" name="status" id="status">
                                        <option value="1" <?php if($result['editlabel'][0]->status=="1"): ?>
                                              selected  <?php endif; ?>>Active</option>  
                                        <option value="0" <?php if($result['editlabel'][0]->status=="0"): ?>
                                              selected  <?php endif; ?>>InActive</option> 
                                        </select>
            <div class="form-text text-muted">
                <?php echo e(trans("lang.status")); ?>

            </div>
        </div>
    </div>

</div>
<!-- Submit Field -->
<div class="form-group col-12 text-right">
    <button type="submit" class="btn btn-<?php echo e(setting('theme_color')); ?>"><i class="fa fa-save"></i> <?php echo e(trans('lang.save')); ?> <?php echo e(trans('lang.labels')); ?></button>
    <a href="<?php echo route('category.index'); ?>" class="btn btn-default"><i class="fa fa-undo"></i> <?php echo e(trans('lang.cancel')); ?></a>
</div>

      </div>
      <?php echo Form::close(); ?>

      <div class="clearfix"></div>
    </div>
  </div>
</div>
<?php echo $__env->make('layouts.media_modal',['collection'=>null], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('scripts_lib'); ?>
<!-- iCheck -->
<script src="<?php echo e(asset('plugins/iCheck/icheck.min.js')); ?>"></script>
<!-- select2 -->
<script src="<?php echo e(asset('plugins/select2/select2.min.js')); ?>"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="<?php echo e(asset('plugins/summernote/summernote-bs4.min.js')); ?>"></script>

<script src="<?php echo e(asset('plugins/dropzone/dropzone.js')); ?>"></script>
<script type="text/javascript">
    Dropzone.autoDiscover = false;
    var dropzoneFields = [];
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ahmarket/cp.ahmarket.com/deliveryapp/resources/views/category/edit.blade.php ENDPATH**/ ?>