<?php
namespace App\Criteria\Orders;

use Prettus\Repository\Contracts\CriteriaInterface;
use Prettus\Repository\Contracts\RepositoryInterface;

/**
 * Class OrdersOfUserCriteria.
 *
 * @package namespace App\Criteria\Orders;
 */
class ProductOrderCriteria implements CriteriaInterface
{
    /**
     * @var User
     */
    //private $userId;

    /**
     * OrdersOfUserCriteria constructor.
     */
    public function __construct()
    {
        //$this->userId = $userId;
    }

    /**
     * Apply criteria in query repository
     *
     * @param string $model
     * @param RepositoryInterface $repository
     *
     * @return mixed
     */
    public function apply($model, RepositoryInterface $repository)
    {
            return $model->where('sales_order_item.product_type','=','simple');
    }
}
