<?php

namespace App\Http\Controllers;

use Flash;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Response;
use Illuminate\Pagination\Paginator;
use Illuminate\Support\Collection;
use Illuminate\Pagination\LengthAwarePaginator;
use Prettus\Validator\Exceptions\ValidatorException;
use \stdClass;
use DB;

class ProductAvailableController extends Controller
{
    public function index()
    {
        // $productEntity=DB::table('catalog_product_entity')
        // ->Join('catalog_product_entity_varchar','catalog_product_entity.entity_id','=','catalog_product_entity_varchar.entity_id')
        // ->where('catalog_product_entity_varchar.attribute_id',73)
        // ->orderBy('catalog_product_entity.entity_id','DESC')
        // ->get();
        //     $productsavailable=[];
        //       for($i=0;$i<count($productEntity);$i++){
        //           $product = new stdClass; 
    			 // $itemnumber= DB::table('catalog_product_entity_varchar')->where('entity_id',$productEntity[$i]->entity_id)->where('attribute_id',187)->first();
    	   //       $product->item_number = isset($itemnumber->value)?$itemnumber->value:"-";
    	   //       $unitcode= DB::table('catalog_product_entity_varchar')->where('entity_id',$productEntity[$i]->entity_id)->where('attribute_id',192)->first();
    	   //       $product->unit_code = isset($unitcode->value)?$unitcode->value:"-";
    	   //       $product->entity_id = $productEntity[$i]->entity_id;
    	   //       $product->sku = $productEntity[$i]->sku;
    	   //       $product->product_name = $productEntity[$i]->value;
    	   //       $product->salableqty = $productEntity[$i]->salableqty;
        //           $productsavailable[]=$product;
        //       }
        //     $perPage = 10;
        //     $data = $this->paginate($productsavailable, $perPage);
        //     return view('productsavailable/index1', ['productsavailable' => $data, "perPage" => $perPage]);
            
            $perPage = 10;
            if(isset($_GET["search"]) && $_GET["search"] != ""){
                $search = $_GET["search"];
                $productEntity = '';
                if(is_numeric($search) == true){
                    $productEntity=DB::table('catalog_product_entity')
                                   ->Join('catalog_product_entity_varchar','catalog_product_entity.entity_id','=','catalog_product_entity_varchar.entity_id')
                                   ->where('catalog_product_entity_varchar.attribute_id',73)
                                   ->where('catalog_product_entity.sku', 'LIKE', "%{$search}%")
                                   ->groupBy('catalog_product_entity.entity_id')
                                   ->orderBy('catalog_product_entity.entity_id','ASC')
                                   ->paginate($perPage);
                } else {
                    $productEntity=DB::table('catalog_product_entity')
                                   ->Join('catalog_product_entity_varchar','catalog_product_entity.entity_id','=','catalog_product_entity_varchar.entity_id')
                                   ->where('catalog_product_entity_varchar.attribute_id',73)
                                   ->where('catalog_product_entity_varchar.value', 'LIKE', "%{$search}%")
                                   ->groupBy('catalog_product_entity.entity_id')
                                   ->orderBy('catalog_product_entity.entity_id','ASC')
                                   ->paginate($perPage);
                }
                
                return view('productsavailable/index', ['productsavailable' => $productEntity, "perPage" => $perPage]);
            } else {
                $productEntity=DB::table('catalog_product_entity')
                ->Join('catalog_product_entity_varchar','catalog_product_entity.entity_id','=','catalog_product_entity_varchar.entity_id')
                ->where('catalog_product_entity_varchar.attribute_id',73)
                ->groupBy('catalog_product_entity.entity_id')
                ->orderBy('catalog_product_entity.entity_id','ASC')
                ->paginate($perPage);
                return view('productsavailable/index', ['productsavailable' => $productEntity, "perPage" => $perPage]);
            }
    }
    
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    public function paginate($items, $perPage, $page = null, $options = [])
    {
        $page = $page ?: (Paginator::resolveCurrentPage() ?: 1);
        $items = $items instanceof Collection ? $items : Collection::make($items);
        $pagePath = "";
        $url = parse_url($_SERVER['REQUEST_URI'], PHP_URL_PATH);
        if(isset($_GET["search"])){
           $fullUrl = $url."?search=".$_GET["search"]."";
           $pagePath = ['path' => $fullUrl];
        } else {
            $pagePath = ['path' => $url];
        }
        return new LengthAwarePaginator($items->forPage($page, $perPage), $items->count(), $perPage, $page, $pagePath, $options);
    }
    
}
