@extends('layouts.app')

@section('content')
<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark">New Arrival<small class="ml-3 mr-3">|</small><small>New Arrival</small></h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="{{url('/dashboard')}}"><i class="fa fa-dashboard"></i> {{trans('lang.dashboard')}}</a></li>
          <li class="breadcrumb-item"><a href="{!! route('newarrival.index') !!}">New Arrival</a>
          </li>
          <li class="breadcrumb-item active">New Arrival</li>
        </ol>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<div class="content">
  <div class="clearfix"></div>
  @include('flash::message')
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link active" href="{!! url()->current() !!}"><i class="fa fa-list mr-2"></i>New Arrival</a>
        </li>
        <!--@can('vehicle.store')-->
        <!--<li class="nav-item">-->
        <!--  <a class="nav-link" href="{!! route('vehicle.store') !!}"><i class="fa fa-plus mr-2"></i>{{trans('lang.vehicle_store')}}</a>-->
        <!--</li>-->
        <!--@endcan-->
      </ul>
    </div>
    <div class="card-body">
       <div class="table-responsive">
                      <table class="table" id="example1">
                          <thead>
                              <tr>
                                  <th>ID</th>
                                  <th>New Arrival Date</th>
                                  <th>Created date</th>
                                  <th>Action</th>
                              </tr>
                          </thead>
                          <tbody>
                    @if(count($newarrival)>0)
                    @foreach ($newarrival as $key=>$newarrival1)
                              <tr>
                                  <th scope="row">{{ $newarrival1->id }}</th>
                                  <td>{{ $newarrival1->new_to_date }}</td>
                                  <td>{{ $newarrival1->created }}</td>
                                  <td><a data-toggle="tooltip" data-placement="bottom" title="Edit" href="newarrival/edit/{{ $newarrival1->id }}" class="badge bg-light-blue"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></a> 
                           </td>
                              </tr>
                               @endforeach
                    @else
                       <tr>
                            <td colspan="6">No record found!</td>
                       </tr>
                    @endif
                          </tbody>
                      </table>
                       <div class="col-xs-12 pull-right">
                	{{$newarrival->links()}}
                </div>
                  </div>
      <div class="clearfix"></div>
    </div>
  </div>
</div>
@endsection