@extends('layouts.app')

@section('content')
@inject('sales','\DB') 
<?php
// $rec=$sales::table('catalog_product_flat_57')->leftJoin('catalog_category_product', 'catalog_category_product.entity_id', '=', 'catalog_product_flat_57.entity_id')->leftJoin('catalog_category_entity_varchar', 'catalog_category_entity_varchar.entity_id', '=', 'catalog_category_product.category_id')->select('item_barcode','item_number','name','value')->where('catalog_category_entity_varchar.attribute_id','=',45)->where('catalog_category_entity_varchar.store_id','=',0)->get();
// $columnHeader = '';  
// $columnHeader = "Barcode" . "\t" . "Item Number" . "\t" . "Product Name" . "\t". "Category" . "\t";  
// $setData = '';  
//     $rowData = '';  
//     foreach ($rec as $value) {  
//         $value = '"' . $value . '"' . "\t";  
//         $rowData .= $value;  
//     }  
//     $setData .= trim($rowData) . "\n";  
  
// header("Content-type: application/octet-stream");  
// header("Content-Disposition: attachment; filename=User_Detail.xls");  
// header("Pragma: no-cache");  
// header("Expires: 0");  

//   echo ucwords($columnHeader) . "\n" . $setData . "\n"; 
?>
<style>
/*.text-danger{display:none;}*/
</style>
<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark">{{trans('lang.order_plural')}}<small class="ml-3 mr-3">|</small><small><?php echo isset($_GET["type"])?$_GET["type"] : 'Grocery' ?> {{trans('lang.order_desc')}}</small></h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="{{url('/dashboard')}}"><i class="fa fa-dashboard"></i> {{trans('lang.dashboard')}}</a></li>
          <li class="breadcrumb-item"><a href="{!! route('orders.index') !!}">{{trans('lang.order_plural')}}</a>
          </li>
          <li class="breadcrumb-item active">{{trans('lang.order_table')}}</li>
        </ol>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->
<?php $actual_link = (isset($_SERVER['HTTPS']) ? "https" : "http") . "://$_SERVER[HTTP_HOST]".strtok($_SERVER["REQUEST_URI"],'?');
$type=isset($_GET['type']) ? $_GET['type'] : 'Grocery';
?>
<div class="content">
  <div class="clearfix"></div>
  @include('flash::message')
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link active" href="{!! url()->current() !!}?type=<?php echo isset($_GET["type"])?$_GET["type"] : 'Grocery' ?>"><i class="fa fa-list mr-2"></i>{{trans('lang.order_table')}}</a>
        </li>
        <!--@can('orders.create')-->
        <!--<li class="nav-item">-->
        <!--  <a class="nav-link" href="{!! route('orders.create') !!}"><i class="fa fa-plus mr-2"></i>{{trans('lang.order_create')}}</a>-->
        <!--</li>-->
        <!--@endcan-->
      </ul>
    </div>
    <div class="card-body">
        <div class="float-left" style="float: left !important;">
            <form method="GET">
              <div class="form-row align-items-center">
                <div class="col-auto my-1">
                  <span>Show</span>
                </div>
                <div class="col-auto my-1">
                    <input type="hidden" name="type" value="<?php echo isset($_GET['type'])? $_GET['type'] : 'Grocery'; ?>" />
                  @if(!empty($_GET["page"]))
                    <input type="hidden" name="page" value="<?php echo isset($_GET['page'])? $_GET['page'] : ''; ?>" />
                  @endif
                  @if(!empty($_GET["order_id"]))
                    <input type="hidden" name="order_id" value="<?php echo isset($_GET['order_id'])? $_GET['order_id'] : ''; ?>" />
                  @endif
                  <select class="custom-select mr-sm-2" name="paginate_count" onchange="this.form.submit();">
                    <option value="10" @if($paginate_count==10) selected @endif>10</option>
                    <option @if($paginate_count==25) selected @endif value="25">25</option>
                    <option @if($paginate_count==50) selected @endif value="50">50</option>
                  </select>
                </div>
                <div class="col-auto my-1">
                  <span>entries</span>
                </div>
              </div>
            </form>
        </div>
        <div class="float-right" style="float: right !important;">
        <form action="<?php echo $actual_link;?>" method="GET">
           <div class="input-group input-group-md">
                 <input type="hidden" value="<?php echo $type;?>" name="type" class="form-control" placeholder="Order ID" aria-label="Search">
                <input type="search" onchange="return trim(this)" onclick="return trim(this)" style="width: 22rem;" value="<?php echo isset($_GET["order_id"])? $_GET["order_id"] : '' ?>" name="order_id" class="form-control" placeholder="Order ID" aria-label="Search">
            <div class="input-group-append">
                <button class="input-group-text" style="cursor:pointer" type="submit"><i class="fa fa-search"></i></button>
            </div>
          </div>
        </form>
      </div>
    @inject('sales','\DB')   
    <?php $sales_order_status = $sales::table('sales_order_status')->get();
    $array=array("order_placed","processing","startpicking","actionrequired","endpicking","outfordelivery","delivered");
    ?>
       <div class="table-responsive">
                      <table class="table" id="example1">
                          <thead>
                              <tr>
                                  <th>Order ID</th>
                                  <th>Name</th>
                                  <th>Status</th>
                                  <th>Store</th>
                                  <th>Grand Total</th>
                                  <th>Out Of Stock</th>
                                  <th>In Bag</th>
                                  <!--<th>Created at</th>-->
                                  <th>Delivery Date</th>
                                  <th>Action</th>
                              </tr>
                          </thead>
                          <tbody>
                    @if(count($sales_order)>0)
                    @foreach ($sales_order as $key=>$sales_order1)
                    <?php
                    $entity_id=$sales_order1->entity_id;
                    $status=$sales_order1->status;
                    $store_id=$sales_order1->store_id;
                    $order_status_id=$sales_order1->order_status_id;
                    
                    $sales_outofstock = $sales::table('sales_stock')->select(DB::raw("SUM(sales_stock.qty) as outofstockqty"))->where('order_id','=',$entity_id)->first();
                    $outofstockqty=isset($sales_outofstock->outofstockqty) ? $sales_outofstock->outofstockqty :0;
                    
                    $sales_inbag = $sales::table('add_to_bag')->select(DB::raw("SUM(add_to_bag.qty) as inbagqty"))->where('order_id','=',$entity_id)->first();
                    $inbaggqty=isset($sales_inbag->inbagqty) ? $sales_inbag->inbagqty :0;
                    
                    $sales_status = $sales::table('store')->leftJoin('store_group', 'store_group.group_id', '=', 'store.group_id')->select('store_group.name as storename')->where('store_id','=',$store_id)->first();
                    $storename=isset($sales_status->storename) ? $sales_status->storename : '';
                    $sales_date = $sales::table('sales_order_item')->select('delivery_date')->where('order_id','=',$entity_id)->first();
                    $delivery_date='';
                    if($sales_date->delivery_date == ""){
                        $sales_date = $sales::table('sales_order_item')->select('delivery_date')->where('order_id','=',$entity_id)->where('delivery_date','!=','')->first();
                        $delivery_date=isset($sales_date->delivery_date) ? $sales_date->delivery_date : '';
                    }else{
                        $delivery_date=isset($sales_date->delivery_date) ? $sales_date->delivery_date : '';
                    }
                    
                    $sales_r = $sales::table('order_statuses')->select('status')->where('id','=',$order_status_id)->first();
                    $orstatus=isset($sales_r->status) ? $sales_r->status : '';
                    
                    $ProType = isset($_GET["type"])?$_GET["type"] : 'Grocery';
                    $totalProductCount = $sales::table('sales_order_item')->where('order_id',$entity_id)->where('delivery_from',"$ProType")->select(DB::raw('Count(*) AS total_product_count'))->first();
                    $subStatusCount = $sales::table('sales_order_item')->where('order_id',$entity_id)->where('delivery_from',"$ProType")->where('sub_status','canceled')->where('qty_canceled','>=','1')->select(DB::raw('Count(*) AS total_substatus_count'))->first();
                    
                    $totalProCount = isset($totalProductCount->total_product_count)?$totalProductCount->total_product_count:"0";
                    $subStaCount = isset($subStatusCount->total_substatus_count)?$subStatusCount->total_substatus_count:"0";
                    //Sub Status Check Start
                        $resullttss1=$sales::select("SELECT status FROM sales_order WHERE entity_id='$entity_id'");
                        $currentMainStatus = isset($resullttss1[0]->status)? $resullttss1[0]->status : "";
                        $resulltts=$sales::select("SELECT sub_status FROM sales_order_item WHERE order_id='$entity_id' and product_type='simple' and delivery_from='$ProType'");
                        $aar = array();
                        foreach($resulltts as $resultss1){
                            if(empty($resultss1->sub_status) || is_null($resultss1->sub_status)){
                                            $subStatus='';
                                if($currentMainStatus == "processing"){
                                        $subStatus = $currentMainStatus;
                                }else{
                                        $subStatus = "Order Placed";
                                }
                                    array_push($aar, $subStatus);
                            }else{
                                    array_push($aar, $resultss1->sub_status);
                            }
                        }
                        // print_r($aar);
                        $subStatusArrayCount = array_count_values($aar);
                        $stCheck = '';
                        if(($currentMainStatus == 'pending') || ($currentMainStatus == 'canceled')){
                            $stCheck = $currentMainStatus;
                        }else{
                            if(count($subStatusArrayCount)>1){
                                foreach($subStatusArrayCount as $key=>$subStatusArrayCount1){
                                    if($key != "canceled"){
                                        $stCheck = $key;
                                    }
                                }
                            }else{
                                $stCheck = key($subStatusArrayCount);
                            }
                        }
                    //Sub Status Check End
                    ?>
                              <tr>
                                  <th scope="row">#{{ $sales_order1->increment_id }}</th>
                                  <td>{{ $sales_order1->customer_firstname }}</td>
                                  <td>{{ $stCheck }}</td>
                                  <td>{{ $storename }}</td>
                                  <td>{{ $sales_order1->base_grand_total }}</td>
                                  <td>{{ $outofstockqty }}</td>
                                  <td>{{ $inbaggqty }}</td>
                                  <!--<td>{{ $sales_order1->total_item_count }}</td>-->
                                  <!--<td>{{ $sales_order1->created_at }}</td>-->
                                  <td>{{ $delivery_date }}</td>
                                  <td>
<div class='btn-group btn-group-sm'>
  @can('orders.show')
  <a data-toggle="tooltip" data-placement="bottom" title="{{trans('lang.view_details')}}" href="{{ route('orders.show', $entity_id) }}?<?php
    $productType = isset($_GET['type']) ? $_GET['type'] : 'Grocery';
    if($productType == "Grocery"){
        echo "type=Grocery";
    } else if($productType == "Warehouse"){
        echo "type=Warehouse";
    } else if($productType == "Supplier"){
        echo "type=Supplier";
    }
  ?>" class='btn btn-link'>
    <i class="fa fa-eye"></i>
  </a>
  @endcan

<?php if (! ("$stCheck" == 'delivered' || "$currentMainStatus" == 'pending' || "$currentMainStatus" == 'canceled' || "$totalProCount" == "$subStaCount") ){ ?>
 @can('orders.edit')
  <a data-toggle="tooltip" data-placement="bottom" title="{{trans('lang.order_edit')}}" href="{{ route('orders.edit', $entity_id) }}?<?php
    $productType = isset($_GET['type']) ? $_GET['type'] : 'Grocery';
   if($productType == "Grocery"){
        echo "type=Grocery";
    } else if($productType == "Warehouse"){
        echo "type=Warehouse";
    } else if($productType == "Supplier"){
        echo "type=Supplier";
    }
  ?>" class='btn btn-link'>
    <i class="fa fa-edit"></i>
  </a>
  @endcan
 <?php }?>
<?php if (! ("$stCheck" == 'delivered' || "$currentMainStatus" == 'pending' || "$totalProCount" == "$subStaCount") ){?>
  @can('orders.destroy')
<!--{!! Form::open(['route' => ['orders.destroy', $entity_id], 'method' => 'delete']) !!}-->
  {!! Form::button('<i class="fa fa-trash"></i>', [
  'type' => 'button',
  'class' => 'btn btn-link text-danger',
  'onclick' => "cancelOrders($entity_id,'$productType')"
  ]) !!}
<!--{!! Form::close() !!}-->
  @endcan
  <?php }?>
</div>
                                      
                                  </td>
                              </tr>
                               @endforeach
                    @else
                       <tr>
                            <td colspan="6">No record found!</td>
                       </tr>
                    @endif
                          </tbody>
                      </table>
                       <div class="col-xs-12">
                           <div style="display:flex;align-items:center;justify-content: space-between;">
                             <span>
                                 Showing {{$sales_order->firstItem()}} to {{$sales_order->lastItem()}} of {{ $sales_order->total() }} entries
                            </span>
                             <span>
                                 {{$sales_order->links()}}
                             </span>
                        </div>
                </div>
                  </div>
      <div class="clearfix"></div>
    </div>
  </div>
</div>
@endsection
<script>
   function cancelOrders(orderId,productType){
        if(confirm('Are you sure you want to cancel in this order?')){
           if(orderId != ''){
            $.ajax({
                    url: "https://ctown.jo/api/ordercancel1.php",
                    type: 'POST',
                    data: {
                          "order_id" : orderId,
                          "product_type" : productType,
                         },
                    success: function(dataa) {
                            //  alert(dataa);
                       // console.log(dataa);
                        data = JSON.parse(dataa);
                            // console.log(data);
                        if(data.success == 1){
                            alert(data.message);
                            location.reload();
                        } else {
                                alert(data.message);
                        }
                    }
                });
            } else {
                alert("Sorry, Didn't Cancel The Order")
            }
        }
    }
</script>