@inject('ordersQuery','\DB')

<!-- Id Field -->
<div class="form-group row col-md-4 col-sm-12">
    {!! Form::label('id', trans('lang.order_id'), ['class' => 'col-4 control-label']) !!}
    <div class="col-8">
    <p>#{!! $order->increment_id !!}</p>
  </div>

    {!! Form::label('order_client', trans('lang.order_client'), ['class' => 'col-4 control-label']) !!}
    <div class="col-8">
    <p>{!! $order->customer_firstname !!}</p>
  </div>

  <!--  {!! Form::label('order_client_phone', trans('lang.order_client_phone'), ['class' => 'col-4 control-label']) !!}-->
  <!--  <div class="col-8">-->
  <!--  <p>{!! isset($order->user->custom_fields['phone']) ? $order->user->custom_fields['phone']['view'] : "" !!}</p>-->
  <!--</div>-->
   {!! Form::label('Delivery date', 'Delivery Date', ['class' => 'col-4 control-label']) !!}
    <div class="col-8">
    <p>
        <?php 
            //echo isset($order->productOrders['0']['delivery_date'])? $order->productOrders['0']['delivery_date'] : ""; 
            
            $productTypeVal = isset($_GET['type']) ? $_GET['type'] : 'Grocery';
            $proDeliveryDate = $ordersQuery::table('sales_order_item')->where('order_id',$orderId)->where('product_type','simple')->where('delivery_from',$productTypeVal)->select('delivery_date')->first();
            
            $delivery_dates_val='';
            if($proDeliveryDate->delivery_date == ""){
                $proDeliveryDate = $ordersQuery::table('sales_order_item')->where('order_id',$orderId)->where('product_type','simple')->where('delivery_from',$productTypeVal)->where('delivery_date','!=','')->select('delivery_date')->first();
                $delivery_dates_val=isset($proDeliveryDate->delivery_date)? $proDeliveryDate->delivery_date : "";
            }else{
                $delivery_dates_val=isset($proDeliveryDate->delivery_date)? $proDeliveryDate->delivery_date : "";
            }
            echo isset($delivery_dates_val)? $delivery_dates_val : "";
        ?>
    </p>
  </div>
    {!! Form::label('delivery_address', trans('lang.delivery_address'), ['class' => 'col-4 control-label']) !!}
    <div class="col-8">
    <p><?php echo isset($getaddress1->flat_no) ? $getaddress1->flat_no : '';?><br/>
    <?php echo isset($getaddress1->building_name) ? $getaddress1->building_name : '';?><br/>
    <?php echo isset($getaddress1->street) ? $getaddress1->street : '';?><br/>
     
   <?php echo isset($getaddress->city) ? $getaddress->city : '';?><br/>
    T:<?php echo isset($getaddress->telephone) ? $getaddress->telephone : '';?>
       <?php echo isset($getaddress->landmark) ? $getaddress->landmark : '';?> <br/></p>
  </div>

    {!! Form::label('order_date','Order Date', ['class' => 'col-4 control-label']) !!}
    <div class="col-8">
    <p>{!! $created_at !!}</p>
  </div>
  {!! Form::label('general_notes','General Notes', ['class' => 'col-4 control-label']) !!}
    <div class="col-8">
    <p>{!! $order->checkout_comment !!}</p>
  </div>
</div>

<!-- Order Status Id Field -->
<div class="form-group row col-md-4 col-sm-12">
     {!! Form::label('Store', 'Store', ['class' => 'col-4 control-label']) !!}
    <div class="col-8">
    <p>{!! $storename !!}</p>
  </div>
    {!! Form::label('in_bag', 'In Bag', ['class' => 'col-4 control-label']) !!}
    <div class="col-8">
    <p>{!! $getbag !!}</p>
  </div>
    {!! Form::label('order_status_id', trans('lang.order_status_status'), ['class' => 'col-4 control-label']) !!}
    <div class="col-8">
    <!--<p>{!! $order->status  !!}</p>-->
    <!--<p>{{ $orderStatusess }}</p>-->
    <p><?php echo isset($stCheck)? $stCheck : ""; ?></p>
  </div>
  
  
    {!! Form::label('payment_method', 'Payment Method', ['class' => 'col-4 control-label']) !!}
    <div class="col-8">
    <!--<p>{!! isset($getpaystatus) ? $getpaystatus : trans('lang.order_not_paid')  !!}</p>-->
    <!--<p>{!! isset($paayymethod) ? $paayymethod : trans('lang.order_not_paid')  !!}</p>-->
    <p>
        <?php
            if($paayymethod == "cashondelivery"){
                echo 'Cash On Delivery';
            }else if($paayymethod == "banktransfer"){
                echo 'Card On Delivery';
            }else if($paayymethod == "tns_hosted"){
                echo 'Credit / Debit Card';
            }else{
                echo $paayymethod;
            }
        ?>
    </p>
  </div>
  {!! Form::label('delivery_type', 'Delivery Type', ['class' => 'col-4 control-label']) !!}
    <div class="col-8">
    <p>
        <?php 
            $deliveryTyp = isset($order->delivery_type) ? $order->delivery_type : "";
            if($deliveryTyp == "homedelivery"){
                echo "Home Delivery";
            }else if($deliveryTyp == "clickandcollect"){
                echo "Click and Collect";
            }
        ?>
    </p>
  </div>
</div>

<!-- Id Field -->
<div class="form-group row col-md-4 col-sm-12">
  {!! Form::label('order_updated_date', "Customer ID", ['class' => 'col-4 control-label']) !!}
    <div class="col-8">
        <p>{{$customerId1}}</p>
    </div>
    
    {!! Form::label('order_updated_date', "Sign In Phone Number", ['class' => 'col-4 control-label']) !!}
    <div class="col-8">
        <p>
            {{$customersigninphone}}
        </p>
    </div>
   
  {!! Form::label('order_updated_date', trans('lang.order_updated_at'), ['class' => 'col-4 control-label']) !!}
    <div class="col-8">
        <p>{!! $updated_at !!}</p>
    </div>
    {!! Form::label('driver', trans('lang.driver'), ['class' => 'col-4 control-label']) !!}
    <div class="col-8">
        @if(isset($driver))
            <p>{!! $driver->name !!}</p>
        @else
            <p>{{trans('lang.order_driver_not_assigned')}}</p>
        @endif

    </div>
 {!! Form::label('driver', 'Picker', ['class' => 'col-4 control-label']) !!}
    <div class="col-8">
        @if(isset($picker))
            <p>{!!$picker->name !!}</p>
        @else
            <p>Picker Not Assigned</p>
        @endif
    </div>
</div>

{{--<!-- Tax Field -->--}}
{{--<div class="form-group row col-md-6 col-sm-12">--}}
{{--  {!! Form::label('tax', 'Tax:', ['class' => 'col-4 control-label']) !!}--}}
{{--  <div class="col-8">--}}
{{--    <p>{!! $order->tax !!}</p>--}}
{{--  </div>--}}
{{--</div>--}}