<div class='btn-group btn-group-sm'>
  @can('orders.show')
  <a data-toggle="tooltip" data-placement="bottom" title="{{trans('lang.view_details')}}" href="{{ route('orders.show', $entity_id) }}" class='btn btn-link'>
    <i class="fa fa-eye"></i>
  </a>
  @endcan

<?php if($status!='delivered'){?>
  @can('orders.edit')
  <a data-toggle="tooltip" data-placement="bottom" title="{{trans('lang.order_edit')}}" href="{{ route('orders.edit', $entity_id) }}" class='btn btn-link'>
    <i class="fa fa-edit"></i>
  </a>
  @endcan
 <?php }?>
<?php if($status!='delivered'){?>
  @can('orders.destroy')
<!--{!! Form::open(['route' => ['orders.destroy', $entity_id], 'method' => 'delete']) !!}-->
  {!! Form::button('<i class="fa fa-trash"></i>', [
  'type' => 'button',
  'class' => 'btn btn-link text-danger',
  'onclick' => "cancelOrders($entity_id)"
  ]) !!}
<!--{!! Form::close() !!}-->
  @endcan
  <?php }?>
</div>
<script>
    function cancelOrders(orderId){
        if(confirm('Are you sure you want to cancel in this order?')){
           if(orderId != ''){
            $.ajax({
                    url: "https://online.ajmanmarkets.ae/api/ordercancel1.php",
                    type: 'POST',
                    data: {
                          "order_id" : orderId,
                         },
                    success: function(dataa) {
                            //  alert(dataa);
                       // console.log(dataa);
                        data = JSON.parse(dataa);
                            // console.log(data);
                        if(data.success == 1){
                            alert(data.message);
                            location.reload();
                        } else {
                                alert(data.message);
                        }
                    }
                });
            } else {
                alert("Sorry, Didn't Cancel The Order")
            }
        }
    }
</script>