

<?php $__env->startSection('content'); ?>
<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark">Feedback<small class="ml-3 mr-3">|</small><small>Feedback</small></h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="<?php echo e(url('/dashboard')); ?>"><i class="fa fa-dashboard"></i> <?php echo e(trans('lang.dashboard')); ?></a></li>
          <li class="breadcrumb-item"><a href="<?php echo route('feedback.index'); ?>">Feedback</a>
          </li>
          <li class="breadcrumb-item active">Feedback List</li>
        </ol>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<div class="content">
  <div class="clearfix"></div>
  <?php echo $__env->make('flash::message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link active" href="<?php echo url()->current(); ?>"><i class="fa fa-list mr-2"></i>Feedback List</a>
        </li>
        <!--<?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('feedback.create')): ?>-->
        <!--<li class="nav-item">-->
        <!--  <a class="nav-link" href="<?php echo route('feedback.create'); ?>"><i class="fa fa-plus mr-2"></i>Add Feedback</a>-->
        <!--</li>-->
        <!--<?php endif; ?>-->
      </ul>
    </div>
    <div class="card-body">
       <div class="table-responsive">
                      <table class="table" id="example1">
                          <thead>
                              <tr>
                                  <th>ID</th>
                                  <th>Name</th>
                                  <th>Mobile Number</th>
                                   <th>Subject</th>
                                  <th>Feedback</th>
                                  <th>Status</th>
                                  <th>Added / Modified date</th>
                                  <th>Action</th>
                              </tr>
                          </thead>
                          <tbody>
                    <?php if(count($feedback1)>0): ?>
                    <?php $__currentLoopData = $feedback1; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$feedback): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                              <tr>
                                  <th scope="row"><?php echo e($feedback->id); ?></th>
                                  <td><?php echo e($feedback->name); ?></td>
                                  <td><?php echo e($feedback->mobile_no); ?></td>
                                  <td><?php echo e($feedback->subject); ?></td>
                                  <td><?php echo e($feedback->feedback); ?></td>
                                  <td>
                                     <?php if(count($feedback_status)>0): ?>
                                        <?php $__currentLoopData = $feedback_status; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$feedback_status1): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> 
                                          <?php if($feedback->status==$feedback_status1->status_id): ?>
                                 <?php echo e($feedback_status1->status_code); ?>

                                          <?php endif; ?>
                                       <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php endif; ?>
                                 </td>
                                 <td><?php echo e($feedback->created); ?></td>
                                  <td><a data-toggle="tooltip" data-placement="bottom" title="Edit" href="feedback/edit/<?php echo e($feedback->id); ?>" class="badge bg-light-blue"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></a> 
                            <a data-toggle="tooltip" data-placement="bottom" title="Delete" href="feedback/destroy/<?php echo e($feedback->id); ?>" class="badge bg-red" onclick="return confirm('Are you sure?')"><i class="fa fa-trash" aria-hidden="true"></i></a></td>
                              </tr>
                               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php else: ?>
                       <tr>
                            <td colspan="6">No record found!</td>
                       </tr>
                    <?php endif; ?>
                          </tbody>
                      </table>
                       <div class="col-xs-12 pull-right">
                	<?php echo e($feedback1->links()); ?>

                </div>
                  </div>
      <div class="clearfix"></div>
    </div>
  </div>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ctownlive/cp.ctown.jo/deliveryapp/resources/views/feedback/index.blade.php ENDPATH**/ ?>