
<?php $__env->startPush('css_lib'); ?>
<!-- iCheck -->
<link rel="stylesheet" href="<?php echo e(asset('plugins/iCheck/flat/blue.css')); ?>">
<!-- select2 -->
<link rel="stylesheet" href="<?php echo e(asset('plugins/select2/select2.min.css')); ?>">
<!-- bootstrap wysihtml5 - text editor -->
<link rel="stylesheet" href="<?php echo e(asset('plugins/summernote/summernote-bs4.css')); ?>">

<link rel="stylesheet" href="<?php echo e(asset('plugins/dropzone/bootstrap.min.css')); ?>">
<?php $__env->stopPush(); ?>
<?php $__env->startSection('title',trans('Payment Setup')); ?>
<?php $__env->startSection('content'); ?>
  <?php echo $__env->make('flash::message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <?php echo $__env->make('adminlte-templates::common.errors', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <div class="clearfix"></div>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link" href="<?php echo route('payment.index'); ?>"><i class="fa fa-list mr-2"></i>Payment Setup</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="<?php echo route('payment.create'); ?>"><i class="fa fa-plus mr-2"></i>Add Payment Setup</a>
        </li>
        <li class="nav-item">
          <a class="nav-link active" href="<?php echo url()->current(); ?>"><i class="fa fa-pencil mr-2"></i>Edit Payment Setup</a>
        </li>
      </ul>
    </div>
    <div class="card-body">
      <?php echo Form::open(['route' => ['payment.update',$editsetup[0]->id], 'method' => 'patch']); ?>

      <div class="row">
<div style="flex: 100%;max-width: 100%;padding: 0 4px;" class="row">
    <!-- Name Field -->
    <div class="form-group row col-6">
        <?php echo Form::label('cutoff_amount','Payment Cut-off Amount', ['class' => 'col-5 control-label text-right']); ?>

        <div class="col-7">
            <?php echo Form::number('cutoff_amount',$editsetup[0]->cutoff_amount,  ['class' => 'form-control','placeholder'=>'Payment Cut-off Amount','required' => 'required']); ?>

            <div class="form-text text-muted">
                Payment Cut-off Amount
            </div>
        </div>
    </div>
    
     <div class="form-group row col-6">
        <?php echo Form::label('Type','Type', ['class' => 'col-5 control-label text-right']); ?>

        <div class="col-7">
             <select class="form-control" name="type">
            <option value="greaterthan" <?php if($result['editsetup'][0]->type=="greaterthan"): ?>
            selected  <?php endif; ?>>Greaterthan</option>  
            <option value="lessthan" <?php if($result['editsetup'][0]->type=="lessthan"): ?>
            selected  <?php endif; ?>>Lessthan</option> 
            <option value="greaterthanequal" <?php if($result['editsetup'][0]->type=="greaterthanequal"): ?>
            selected  <?php endif; ?>>Greaterthan or Equal</option> 
            <option value="lessthanequal" <?php if($result['editsetup'][0]->type=="lessthanequal"): ?>
            selected  <?php endif; ?>>Lessthan or Equal</option> 
            <option value="equal" <?php if($result['editsetup'][0]->type=="equal"): ?>
            selected  <?php endif; ?>>Equal</option> 
            </select>
            <div class="form-text text-muted">
                Type
            </div>
        </div>
    </div>
    
     <div class="form-group row col-6">
        <?php echo Form::label('Amount Type','Amount Type', ['class' => 'col-5 control-label text-right']); ?>

        <div class="col-7">
             <select class="form-control" name="amount_type">
            <option value="percentage" <?php if($result['editsetup'][0]->amount_type=="percentage"): ?>
            selected  <?php endif; ?>>percentage</option>  
            <option value="fixedamount" <?php if($result['editsetup'][0]->amount_type=="fixedamount"): ?>
            selected  <?php endif; ?>>Fixed Amount</option> 
            </select>
            <div class="form-text text-muted">
                Amount Type
            </div>
        </div>
    </div>
    
     <div class="form-group row col-6">
        <?php echo Form::label('amount','Amount', ['class' => 'col-5 control-label text-right']); ?>

        <div class="col-7">
            <?php echo Form::number('amount',$editsetup[0]->amount,  ['class' => 'form-control','placeholder'=>'Amount','required' => 'required']); ?>

            <div class="form-text text-muted">
                Amount
            </div>
        </div>
    </div>

      <div class="form-group row col-6">
        <?php echo Form::label('status', trans("lang.status"), ['class' => 'col-5 control-label text-right']); ?>

        <div class="col-7">
             <select class="form-control" name="status" id="status">
            <option value="1" <?php if($result['editsetup'][0]->status=="1"): ?>
            selected  <?php endif; ?>>Active</option>  
            <option value="0" <?php if($result['editsetup'][0]->status=="0"): ?>
            selected  <?php endif; ?>>InActive</option> 
            </select>
            <div class="form-text text-muted">
                <?php echo e(trans("lang.status")); ?>

            </div>
        </div>
    </div>

</div>
<!-- Submit Field -->
<div class="form-group col-12 text-right">
    <button type="submit" class="btn btn-<?php echo e(setting('theme_color')); ?>"><i class="fa fa-save"></i> <?php echo e(trans('lang.save')); ?></button>
    <a href="<?php echo route('payment.index'); ?>" class="btn btn-default"><i class="fa fa-undo"></i> <?php echo e(trans('lang.cancel')); ?></a>
</div>

      </div>
      <?php echo Form::close(); ?>

      <div class="clearfix"></div>
    </div>
  </div>
</div>
<?php echo $__env->make('layouts.media_modal',['collection'=>null], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('scripts_lib'); ?>
<!-- iCheck -->
<script src="<?php echo e(asset('plugins/iCheck/icheck.min.js')); ?>"></script>
<!-- select2 -->
<script src="<?php echo e(asset('plugins/select2/select2.min.js')); ?>"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="<?php echo e(asset('plugins/summernote/summernote-bs4.min.js')); ?>"></script>

<script src="<?php echo e(asset('plugins/dropzone/dropzone.js')); ?>"></script>
<script type="text/javascript">
    Dropzone.autoDiscover = false;
    var dropzoneFields = [];
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ahmarket/cp.ahmarket.com/deliveryapp/resources/views/payment/edit.blade.php ENDPATH**/ ?>