
<?php $__env->startPush('css_lib'); ?>
<!-- iCheck -->
<link rel="stylesheet" href="<?php echo e(asset('plugins/iCheck/flat/blue.css')); ?>">
<!-- select2 -->
<link rel="stylesheet" href="<?php echo e(asset('plugins/select2/select2.min.css')); ?>">
<!-- bootstrap wysihtml5 - text editor -->
<link rel="stylesheet" href="<?php echo e(asset('plugins/summernote/summernote-bs4.css')); ?>">

<link rel="stylesheet" href="<?php echo e(asset('plugins/dropzone/bootstrap.min.css')); ?>">
<style>
     #esearchcity{
        left:unset !important;
    }
    .alert.alert-danger{
        color: #a94442!important;
        background: #f2dede!important;
        border: 1px solid !important;
        padding: 10px 23px;
        margin-bottom: 10px;
        text-align: center;
    }
     .alert.alert-success{
        background: #dff2bf!important;
        color: #4f8a10!important;
        border: 1px solid !important;
        padding: 10px 23px;
        margin-bottom: 10px;
        text-align: center;
    }
</style>
<?php $__env->stopPush(); ?>
<?php $__env->startSection('title',trans('lang.locations_table')); ?>
<?php $__env->startSection('content'); ?>
  <?php echo $__env->make('flash::message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <?php echo $__env->make('adminlte-templates::common.errors', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <div class="clearfix"></div>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link" href="<?php echo route('customers.index'); ?>"><i class="fa fa-list mr-2"></i>Customers List</a>
        </li>
        <!--<li class="nav-item">-->
        <!--  <a class="nav-link" href="<?php echo route('locations.create'); ?>"><i class="fa fa-plus mr-2"></i>Add Help and support</a>-->
        <!--</li>-->
        <li class="nav-item">
          <a class="nav-link" href="<?php echo route('customers.edit', $customer_id); ?>"><i class="fa fa-pencil mr-2"></i>View/Edit Customers Details</a>
        </li>
        <li class="nav-item">
          <a class="nav-link active" href="<?php echo url()->current(); ?>"><i class="fa fa-pencil mr-2"></i>View/Edit Addresses</a>
        </li>
      </ul>
    </div>
    <div class="card-body">
        <div class="container">
          <div class="row">
            <div class="table-responsive col-sm-12 mb-5">
                <h3>Addresses</h3><hr>
                <table class="table">
                  <thead>
                    <tr>
                      <th scope="col">#</th>
                      <th scope="col">First Name</th>
                      <th scope="col">Last Name</th>
                      <th scope="col">Street Address</th>
                      <th scope="col">City</th>
                      <th scope="col">State</th>
                      <th scope="col">Zip/Postal Code</th>
                      <th scope="col">Phone</th>
                      <th scope="col">Building Name</th>
                      <th scope="col">Flat Number</th>
                      <th scope="col">Landmark</th>
                      <th scope="col">Action</th>
                    </tr>
                  </thead>
                  <tbody>
                      <?php if(count($customersavailableedit)>0): ?>
                          <?php $__currentLoopData = $customersavailableedit; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$customersavailableedit1): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                              <th scope="row"><?php echo e($key+1); ?></th>
                              <td><?php echo e($customersavailableedit1->firstname); ?></td>
                              <td><?php echo e($customersavailableedit1->lastname); ?></td>
                              <td><?php echo e($customersavailableedit1->street); ?></td>
                              <td><?php echo e($customersavailableedit1->city); ?></td>
                              <td><?php echo e($customersavailableedit1->region); ?></td>
                              <td><?php echo e($customersavailableedit1->postcode); ?></td>
                              <td><?php echo e($customersavailableedit1->telephone); ?></td>
                              <td><?php echo e($customersavailableedit1->building_name); ?></td>
                              <td><?php echo e($customersavailableedit1->flat_no); ?></td>
                              <td><?php echo e($customersavailableedit1->landmark); ?></td>
                              <td><button type="button" class="btn btn-primary" onclick="redirect(<?php echo e($customersavailableedit1->entity_id); ?>)">Edit</button></td>
                            </tr>
                         <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                     <?php else: ?>
                           <tr>
                                <td colspan="6">No record found!</td>
                           </tr>
                     <?php endif; ?>
                  </tbody>
                </table>
                <!-- Modal -->
                <button type="button" style="visibility: hidden;" data-toggle="modal" data-target="#exampleModal" id="onModal" class="btn btn-primary">Edit</button>
                    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                      <div class="modal-dialog" role="document">
                        <div class="modal-content">
                          <div class="modal-header">
                            <h5 class="modal-title" id="exampleModalLabel">Add/Update Address</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                              <span aria-hidden="true">&times;</span>
                            </button>
                          </div>
                          <div class="modal-body">
                              <?php $customers = app('\DB'); ?>
                              <?php 
                                 $addressId = isset($_GET["addressId"])? $_GET["addressId"] : '';
                                 $customer_id = isset($_GET["customer_id"])? $_GET["customer_id"] : '';
                                 $customerdetails = $customers::table('customer_address_entity')->where('parent_id',$customer_id)->where('entity_id',$addressId)->first();
                                ?>
                           <form action="<?php echo route('customers.addressupdate'); ?>" method="get">
                              <div class="form-group">
                                <label for="firstName">First Name <span style="color:red;">*</span></label>
                                <input type="text" required value="<?php echo e(isset($customerdetails->firstname)? $customerdetails->firstname : ''); ?>" name="first_name" class="form-control" id="firstName">
                              </div>
                              <div class="form-group">
                                <label for="lastName">Last Name <span style="color:red;">*</span></label>
                                <input type="text" required value="<?php echo e(isset($customerdetails->lastname)? $customerdetails->lastname : ''); ?>" name="last_name" class="form-control" id="lastName">
                              </div>
                              <div class="form-group">
                                <label for="street">Street <span style="color:red;">*</span></label>
                                <textarea required name="street" class="form-control" id="street" rows="3"><?php echo e(isset($customerdetails->street)? $customerdetails->street : ''); ?></textarea>
                              </div>
                              <div class="form-group">
                                <label for="city">City <span style="color:red;">*</span></label>
                                <input type="text" required value="<?php echo e(isset($customerdetails->city)? $customerdetails->city : ''); ?>" name="city" class="form-control" id="city">
                              </div>
                              <div class="form-group">
                                <label for="state">State/Province</label>
                                <input type="text" value="<?php echo e(isset($customerdetails->region)? $customerdetails->region : ''); ?>" name="state" class="form-control" id="state">
                              </div>
                              <div class="form-group">
                                <label for="zip">Zip/Postal Code</label>
                                <input type="text" value="<?php echo e(isset($customerdetails->postcode)? $customerdetails->postcode : ''); ?>" name="zip" class="form-control" id="zip">
                              </div>
                              <div class="form-group">
                                <label for="phone">Phone Number <span style="color:red;">*</span></label>
                                <input type="text" required value="<?php echo e(isset($customerdetails->telephone)? $customerdetails->telephone : ''); ?>" name="phone" class="form-control" id="phone">
                              </div>
                              <div class="form-group">
                                <label for="building_no">Building Number</label>
                                <input type="text" value="<?php echo e(isset($customerdetails->building_name)? $customerdetails->building_name : ''); ?>" name="building_no" class="form-control" id="building_no">
                              </div>
                              <div class="form-group">
                                <label for="flat_no">Flat Number</label>
                                <input type="text" value="<?php echo e(isset($customerdetails->flat_no)? $customerdetails->flat_no : ''); ?>" name="flat_no" class="form-control" id="flat_no">
                              </div>
                              <div class="form-group">
                                <label for="landmark">Landmark</label>
                                <input type="text" value="<?php echo e(isset($customerdetails->landmark)? $customerdetails->landmark : ''); ?>" name="landmark" class="form-control" id="landmark">
                              </div>
                              <input type="hidden" name="customer_id" value="<?php echo e($customer_id); ?>" />
                              <input type="hidden" name="addressId" value="<?php echo e($addressId); ?>" />
                          </div>
                          <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                            <button type="submit" name="updateAddress" class="btn btn-primary">Update</button>
                          </div>
                          </form>
                        </div>
                      </div>
                    </div>
            </div>
          </div>
          </div>
        </div>
        <div class="clearfix"></div>
    </div>
  </div>
</div>
<?php echo $__env->make('layouts.media_modal',['collection'=>null], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('scripts_lib'); ?>
<!-- iCheck -->
<link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/3.4.0/css/bootstrap-rtl.css" rel="stylesheet"/>
<link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/3.4.0/css/bootstrap-rtl.css" rel="stylesheet"/>
<script src="<?php echo e(asset('plugins/iCheck/icheck.min.js')); ?>"></script>
<!-- select2 -->
<script src="<?php echo e(asset('plugins/select2/select2.min.js')); ?>"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<!--<script src="<?php echo e(asset('plugins/summernote/summernote-bs4.min.js')); ?>"></script>-->

<script src="<?php echo e(asset('plugins/dropzone/dropzone.js')); ?>"></script>
<script type="text/javascript">
    Dropzone.autoDiscover = false;
    var dropzoneFields = [];
</script>
<script>
var getUrlParameter = function getUrlParameter(sParam) {
    var sPageURL = window.location.search.substring(1),
        sURLVariables = sPageURL.split('&'),
        sParameterName,
        i;

    for (i = 0; i < sURLVariables.length; i++) {
        sParameterName = sURLVariables[i].split('=');

        if (sParameterName[0] === sParam) {
            return typeof sParameterName[1] === undefined ? true : decodeURIComponent(sParameterName[1]);
        }
    }
    return false;
};
function redirect(id){
    var addressId = getUrlParameter('addressId');
    if(addressId == false || addressId != id){
        if(addressId == false){
            var url = window.location.href;
            window.location.href = url+"&addressId="+id;
        } else {
            function updateQueryStringParameter(uri, key, value) {
              var re = new RegExp("([?&])" + key + "=.*?(&|$)", "i");
              var separator = uri.indexOf('?') !== -1 ? "&" : "?";
              if (uri.match(re)) {
                return uri.replace(re, '$1' + key + "=" + value + '$2');
              }
              else {
                return uri + separator + key + "=" + value;
              }
            }
             var newUrl=updateQueryStringParameter(window.location.href,"addressId",id);
             window.location.href = newUrl;
        }
    } else {
        $( "#onModal" ).trigger("click");
    }
}
</script>
<script>
$(document).ready(function(){ 
    var addressId = getUrlParameter('addressId');
    if(addressId != false){
        $( "#onModal" ).trigger("click");
    }
});
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ctowncp/cp.ctown.jo/deliveryapp/resources/views/customers/addressedit.blade.php ENDPATH**/ ?>