
<?php $__env->startPush('css_lib'); ?>
    <!-- iCheck -->
    <link rel="stylesheet" href="<?php echo e(asset('plugins/iCheck/flat/blue.css')); ?>">
    <!-- select2 -->
    <link rel="stylesheet" href="<?php echo e(asset('plugins/select2/select2.min.css')); ?>">
    <!-- bootstrap wysihtml5 - text editor -->
    <link rel="stylesheet" href="<?php echo e(asset('plugins/summernote/summernote-bs4.css')); ?>">
    
    <link rel="stylesheet" href="<?php echo e(asset('plugins/dropzone/bootstrap.min.css')); ?>">
    
    <link rel="stylesheet" href="<?php echo e(asset('plugins/colorpicker/bootstrap-colorpicker.min.css')); ?>">
<?php $__env->stopPush(); ?>
<?php $__env->startSection('settings_title',trans('lang.app_setting_mobile')); ?>
<?php $__env->startSection('settings_content'); ?>
    <?php echo $__env->make('flash::message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->make('adminlte-templates::common.errors', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <div class="clearfix"></div>
    <div class="card">
        <div class="card-header">
            <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
                <li class="nav-item">
                    <a class="nav-link active" href="<?php echo url()->current(); ?>"><i class="fa fa-cog mr-2"></i><?php echo e(trans('lang.app_setting_mobile_'.$tab)); ?></a>
                </li>
            </ul>
        </div>
        <div class="card-body">
            <?php echo Form::open(['url' => ['settings/update'], 'method' => 'patch']); ?>

            <div class="row">
                <h5 class="col-12 pb-4"><i class="mr-3 fa fa-tasks"></i><?php echo trans('lang.app_setting_mobile_section_builder'); ?></h5>
                <?php for($i = 1 ; $i <= 12 ; $i++): ?>
                <!-- Theme Color Field -->
                <div class="form-group row col-12">
                    <?php echo Form::label('home_section_'.$i, trans("lang.app_setting_mobile_section_desc")." - $i",['class' => 'col-3 control-label']); ?>

                    <div class="col-6">
                        <?php echo Form::select('home_section_'.$i,
                        [
                        'empty' => trans('lang.app_setting_mobile_empty'),
                        'search' => trans('lang.app_setting_mobile_search'),
                        'slider' => trans('lang.app_setting_mobile_slider'),
                        'top_markets_heading' => trans('lang.app_setting_mobile_top_markets_heading'),
                        'top_markets' => trans('lang.app_setting_mobile_top_markets'),
                        'trending_week_heading' => trans('lang.app_setting_mobile_trending_week_heading'),
                        'trending_week' => trans('lang.app_setting_mobile_trending_week'),
                        'categories' => trans('lang.app_setting_mobile_categories'),
                        'categories_heading' => trans('lang.app_setting_mobile_categories_heading'),
                        'popular_heading' => trans('lang.app_setting_mobile_popular_heading'),
                        'popular' => trans('lang.app_setting_mobile_popular'),
                        'recent_reviews_heading' => trans('lang.app_setting_mobile_recent_reviews_heading'),
                        'recent_reviews' => trans('lang.app_setting_mobile_recent_reviews'),
                        ]
                        , setting('home_section_'.$i,'empty'), ['class' => 'select2 form-control']); ?>

                        <div class="form-text text-muted"><?php echo e(trans("lang.app_setting_mobile_section_help")); ?></div>
                    </div>
                </div>
                <?php endfor; ?>

                <!-- Submit Field -->
                <div class="form-group mt-4 col-12 text-right">
                    <button type="submit" class="btn btn-<?php echo e(setting('theme_color')); ?>">
                        <i class="fa fa-save"></i> <?php echo e(trans('lang.save')); ?> <?php echo e(trans('lang.app_setting')); ?>

                    </button>
                    <a href="<?php echo route('users.index'); ?>" class="btn btn-default"><i class="fa fa-undo"></i> <?php echo e(trans('lang.cancel')); ?></a>
                </div>
            </div>
            <?php echo Form::close(); ?>

            <div class="clearfix"></div>
        </div>
    </div>
    </div>
    <?php echo $__env->make('layouts.media_modal',['collection'=>null], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('scripts_lib'); ?>
    <!-- iCheck -->
    <script src="<?php echo e(asset('plugins/iCheck/icheck.min.js')); ?>"></script>
    <!-- select2 -->
    <script src="<?php echo e(asset('plugins/select2/select2.min.js')); ?>"></script>
    <!-- AdminLTE dashboard demo (This is only for demo purposes) -->
    <script src="<?php echo e(asset('plugins/summernote/summernote-bs4.min.js')); ?>"></script>
    
    <script src="<?php echo e(asset('plugins/dropzone/dropzone.js')); ?>"></script>
    <script src="<?php echo e(asset('plugins/colorpicker/bootstrap-colorpicker.min.js')); ?>"></script>
    <script type="text/javascript">
        // $("input[name$='color']").colorpicker({
        $(".colorpicker-component, input[name$='color']").colorpicker({
            customClass: 'colorpicker',
            format: 'hex',
            sliders: {
                saturation: {
                    maxLeft: 200,
                    maxTop: 200
                },
                hue: {
                    maxTop: 200
                },
                alpha: {
                    maxTop: 200
                }
            }
        });
        Dropzone.autoDiscover = false;
        var dropzoneFields = [];
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.settings.default', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ahmarket/cp.ahmarket.com/deliveryapp/resources/views/settings/mobile/home.blade.php ENDPATH**/ ?>