
<?php $__env->startPush('css_lib'); ?>
  <!-- iCheck -->
  <link rel="stylesheet" href="<?php echo e(asset('plugins/iCheck/flat/blue.css')); ?>">
  <!-- select2 -->
  <link rel="stylesheet" href="<?php echo e(asset('plugins/select2/select2.min.css')); ?>">
  <!-- bootstrap wysihtml5 - text editor -->
  <link rel="stylesheet" href="<?php echo e(asset('plugins/summernote/summernote-bs4.css')); ?>">
  
  <link rel="stylesheet" href="<?php echo e(asset('plugins/dropzone/bootstrap.min.css')); ?>">
<?php $__env->stopPush(); ?>
<?php $__env->startSection('title',trans('lang.vehicle_table')); ?>
<?php $__env->startSection('content'); ?>
  <?php echo $__env->make('flash::message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <?php echo $__env->make('adminlte-templates::common.errors', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <div class="clearfix"></div>
  <div class="card">
    <!--<div class="card-header">-->
    <!--  <ul class="nav nav-tabs align-items-end card-header-tabs w-100">-->
    <!--    <li class="nav-item">-->
    <!--      <a class="nav-link" href="<?php echo route('vehicle.index'); ?>"><i class="fa fa-list mr-2"></i><?php echo e(trans('lang.vehicle_table')); ?></a>-->
    <!--    </li>-->
    <!--    <li class="nav-item">-->
    <!--      <a class="nav-link active" href="<?php echo url()->current(); ?>"><i class="fa fa-plus mr-2"></i><?php echo e(trans('lang.vehicle_table')); ?></a>-->
    <!--    </li>-->
    <!--  </ul>-->
    <!--</div>-->
    <div class="card-body">
      <?php echo Form::open(['route' => ['mobile_app_version.update', $mobile_app_version[0]->id], 'method' => 'patch']); ?>

      <div class="row">
<div style="flex: 100%;max-width: 100%;padding: 0 4px;" class="row">
    <!-- Name Field -->
      
    <div class="form-group row col-12">
        <?php echo Form::label('mobile_app_name',"Mobile App Name", ['class' => 'col-5 control-label text-right']); ?>

        <div class="col-7">
            <?php echo Form::text('mobile_app_name', $mobile_app_version[0]->mobile_app_name,  ['class' => 'form-control','placeholder'=>  "Mobile App Name", 'id'=>"mobile_app_name"]); ?>

            <div class="form-text text-muted">
                Mobile App Name
            </div>
        </div>
    </div>
    <div class="form-group row col-12">
        <?php echo Form::label('android_version',"Android Version", ['class' => 'col-5 control-label text-right']); ?>

        <div class="col-7">
            <?php echo Form::text('android_version', $mobile_app_version[0]->android_version,  ['class' => 'form-control','placeholder'=>  "Android Version", 'id'=>"android_version", 'onkeypress'=>"return isNumberKey(event)"]); ?>

            <div class="form-text text-muted">
                Android Version
            </div>
        </div>
    </div>
    <div class="form-group row col-12">
        <?php echo Form::label('ios_version',"IOS Version", ['class' => 'col-5 control-label text-right']); ?>

        <div class="col-7">
            <?php echo Form::text('ios_version', $mobile_app_version[0]->ios_version,  ['class' => 'form-control','placeholder'=>  "IOS Version", 'id'=>"ios_version", 'onkeypress'=>"return isNumberKey(event)"]); ?>

            <div class="form-text text-muted">
                IOS Version
            </div>
        </div>
    </div>
    <div class="form-group row col-12">
        <?php echo Form::label('android_url',"Android URL", ['class' => 'col-5 control-label text-right']); ?>

        <div class="col-7">
            <?php echo Form::text('android_url', $mobile_app_version[0]->android_url,  ['class' => 'form-control','placeholder'=>  "Android URL", 'id'=>"android_url"]); ?>

            <div class="form-text text-muted">
                Android URL
            </div>
        </div>
    </div>
    <div class="form-group row col-12">
        <?php echo Form::label('ios_url',"IOS URL", ['class' => 'col-5 control-label text-right']); ?>

        <div class="col-7">
            <?php echo Form::text('ios_url', $mobile_app_version[0]->ios_url,  ['class' => 'form-control','placeholder'=>  "IOS URL", 'id'=>"ios_url"]); ?>

            <div class="form-text text-muted">
                IOS URL
            </div>
        </div>
    </div>
     <div class="form-group row col-12">
        <?php echo Form::label('mobile_app_description', "English Description", ['class' => 'col-5 control-label text-right']); ?>

        <div class="col-7">
            <?php echo Form::textarea('mobile_app_description', $mobile_app_version[0]->description,  ['class' => 'form-control','placeholder'=>  "Description"]); ?>

            <div class="form-text text-muted">
                English Description
            </div>
        </div>
    </div>
     <div class="form-group row col-12">
        <?php echo Form::label('mobile_app_arabic_description', "Arabic Description", ['class' => 'col-5 control-label text-right']); ?>

        <div class="col-7">
            <?php echo Form::textarea('mobile_app_arabic_description', $mobile_app_version[0]->arabic_description,  ['class' => 'form-control','placeholder'=>  "Arabic Description"]); ?>

            <div class="form-text text-muted">
                Arabic Description
            </div>
        </div>
    </div>
    <div class="form-group row col-12">
        <?php echo Form::label('status', "Status", ['class' => 'col-5 control-label text-right']); ?>

        <div class="col-7">
             <select class="form-control" name="status" id="status">
                                        <option value="1" <?php if($mobile_app_version[0]->status=="1"): ?>
                                              selected  <?php endif; ?>>Active</option>  
                                        <option value="0" <?php if($mobile_app_version[0]->status=="0"): ?>
                                              selected  <?php endif; ?>>InActive</option>
                                        </select>
            <div class="form-text text-muted">
                Status
            </div>
        </div>
    </div>
</div>
<!-- Submit Field -->
<div class="form-group col-12 text-right">
    <button type="submit" class="btn btn-<?php echo e(setting('theme_color')); ?>"><i class="fa fa-save"></i> <?php echo e(trans('lang.save')); ?></button>
</div>

      </div>
      <?php echo Form::close(); ?>

      <div class="clearfix"></div>
    </div>
  </div>
</div>
<?php echo $__env->make('layouts.media_modal',['collection'=>null], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('scripts_lib'); ?>
<!-- iCheck -->
<script src="<?php echo e(asset('plugins/iCheck/icheck.min.js')); ?>"></script>
<!-- select2 -->
<script src="<?php echo e(asset('plugins/select2/select2.min.js')); ?>"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="<?php echo e(asset('plugins/summernote/summernote-bs4.min.js')); ?>"></script>

<script src="<?php echo e(asset('plugins/dropzone/dropzone.js')); ?>"></script>
<script type="text/javascript">
    Dropzone.autoDiscover = false;
    var dropzoneFields = [];
function isNumberKey(evt)
{
          var charCode = (evt.which) ? evt.which : evt.keyCode;
          if (charCode != 46 && charCode > 31 
            && (charCode < 48 || charCode > 57))
             return false;
          return true;
}
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ahmarket/cp.ahmarket.com/deliveryapp/resources/views/mobile_app_version/index.blade.php ENDPATH**/ ?>