

<?php $__env->startSection('content'); ?>
<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark"><?php if($page=='en'): ?> English <?php elseif($page=='ar'): ?> Arabic <?php endif; ?> Marquee Slider<small class="ml-3 mr-3">|</small><small>Marquee Slider</small></h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="<?php echo e(url('/dashboard')); ?>"><i class="fa fa-dashboard"></i> <?php echo e(trans('lang.dashboard')); ?></a></li>
          <li class="breadcrumb-item"><a href="<?php echo route('marquee_slider.index'); ?>">Marquee Slider</a>
          </li>
          <li class="breadcrumb-item active">Marquee Slider List</li>
        </ol>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<div class="content">
  <div class="clearfix"></div>
  <?php echo $__env->make('flash::message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <?php if(count($errors) > 0): ?>
    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="alert alert-danger alert-dismissible" role="alert"><?php echo e($error); ?>

        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
         </button>
        </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
  <?php endif; ?>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link <?php if($page=='en'): ?> active <?php endif; ?>" href="<?php echo url()->current(); ?>?page=en"><i class="fa fa-list mr-2"></i>English Marquee Slider List</a>
        </li>
        <li class="nav-item">
          <a class="nav-link <?php if($page=='ar'): ?> active <?php endif; ?>" href="<?php echo url()->current(); ?>?page=ar"><i class="fa fa-list mr-2"></i>Arabic Marquee Slider List</a>
        </li>
        <!--<?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('promotion_banner.create')): ?>-->
        <!--<li class="nav-item">-->
        <!--  <a class="nav-link" href="<?php echo route('promotion_banner.create'); ?>"><i class="fa fa-plus mr-2"></i>Add Mobile Promotion Banner</a>-->
        <!--</li>-->
        <!--<?php endif; ?>-->
      </ul>
    </div>
    <div class="card-body">
        <a href="<?php echo url()->current(); ?>/create?page=<?php if($page=='en'): ?>en <?php elseif($page=='ar'): ?>ar <?php endif; ?>" class="btn btn-primary mb-3 mt-2" style="color: #fff;">Add</a>
       <div class="table-responsive">
                      <table class="table" id="example1">
                          <thead>
                              <tr>
                                  <th>ID</th>
                                  <th>Slider Content</th>
                                  <th>Status</th>
                                  <th>Action</th>
                              </tr>
                          </thead>
                          <tbody>
                    <?php if(count($marquee_slider)>0): ?>
                    <?php $__currentLoopData = $marquee_slider; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$marquee): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                              <tr>
                                  <th scope="row"><?php echo e(++$key); ?></th>
                                  <td><?php echo e($marquee->slider_content); ?></td>
                                  <td>
                                    <?php if($marquee->status=="1"): ?>  
                                     Active
                                      <?php else: ?>
                                       InActive 
                                      <?php endif; ?>
                                      </td>
                                  <td><a data-toggle="tooltip" data-placement="bottom" title="Edit" href="marquee_slider/edit/<?php echo e($marquee->id); ?>?page=<?php echo e($page); ?>" class="badge bg-light-blue"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></a> 
                            <a data-toggle="tooltip" data-placement="bottom" title="Delete" href="marquee_slider/destroy/<?php echo e($marquee->id); ?>?page=<?php echo e($page); ?>" class="badge bg-red" onclick="return confirm('Are you sure you want delete it?')"><i class="fa fa-trash" aria-hidden="true"></i></a></td>
                              </tr>
                               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php else: ?>
                       <tr>
                            <td colspan="6">No record found!</td>
                       </tr>
                    <?php endif; ?>
                          </tbody>
                      </table>
                       <div class="col-xs-12 pull-right">
                	<?php echo e($marquee_slider->appends($_GET)->links()); ?>

                </div>
                  </div>
      <div class="clearfix"></div>
    </div>
      <div class="clearfix"></div>
    </div>
  </div>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ctowncp/cp.ctown.jo/deliveryapp/resources/views/marquee_slider/index.blade.php ENDPATH**/ ?>