

<?php $__env->startSection('content'); ?>
<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark"><?php echo e(trans('lang.deliveryslot_plural')); ?><small class="ml-3 mr-3">|</small><small><?php echo e(trans('lang.deliveryslot_desc')); ?></small></h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="<?php echo e(url('/dashboard')); ?>"><i class="fa fa-dashboard"></i> <?php echo e(trans('lang.dashboard')); ?></a></li>
          <li class="breadcrumb-item"><a href="<?php echo route('delivery_slot.index'); ?>"><?php echo e(trans('lang.deliveryslot_plural')); ?></a>
          </li>
          <li class="breadcrumb-item active"><?php echo e(trans('lang.deliveryslot_table')); ?></li>
        </ol>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<div class="content">
  <div class="clearfix"></div>
  <?php echo $__env->make('flash::message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link active" href="<?php echo url()->current(); ?>"><i class="fa fa-list mr-2"></i><?php echo e(trans('lang.deliveryslot_table')); ?></a>
        </li>
        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('delivery_slot.create')): ?>
        <li class="nav-item">
          <a class="nav-link" href="<?php echo route('delivery_slot.create'); ?>"><i class="fa fa-plus mr-2"></i><?php echo e(trans('lang.deliveryslot_create')); ?></a>
        </li>
        <?php endif; ?>
      </ul>
    </div>
    <div class="card-body">
       <div class="table-responsive">
                      <table class="table" id="example1">
                          <thead>
                              <tr>
                                  <th>ID</th>
                                  <th>Country</th>
                                  <th>Store Name</th>
                                  <th>Added / Modified date</th>
                                  <th>Action</th>
                              </tr>
                          </thead>
                          <tbody>
                    <?php if(count($deliveryslot)>0): ?>
                    <?php $__currentLoopData = $deliveryslot; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$deliveryslot1): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                              <tr>
                                  <th scope="row"><?php echo e($deliveryslot1->id); ?></th>
                                  <td>
                                      <?php if(count($country)>0): ?>
                                      <?php $__currentLoopData = $country; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$country1): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> 
                                      <?php if($deliveryslot1->country_code==$country1['country_code']): ?>
                                            <?php echo e($country1['country_name']); ?>

                                      <?php endif; ?>
                                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                      <?php endif; ?>
                                  </td>
                                   <td>
                                       <?php if(count($store)>0): ?>
                                         <?php $__currentLoopData = $store; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$store1): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> 
                                         <?php if($deliveryslot1->store_id==$store1->group_id): ?>
                                 <?php echo e($store1->name); ?>

                                  <?php endif; ?>
                                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                  <?php endif; ?>
                                 </td>
                                  <td><?php if(empty($deliveryslot1->modified)){?>
                                      <p><?php echo e($deliveryslot1->created); ?></p>
                                  <?php } else {?><p><?php echo e($deliveryslot1->modified); ?></p><?php }?></td>
                                  <td><a data-toggle="tooltip" data-placement="bottom" title="Edit" href="delivery_slot/edit/<?php echo e($deliveryslot1->id); ?>" class="badge bg-light-blue"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></a> 
                            <a data-toggle="tooltip" data-placement="bottom" title="Delete" href="delivery_slot/destroy/<?php echo e($deliveryslot1->id); ?>" class="badge bg-red" onclick="return confirm('Are you sure?')"><i class="fa fa-trash" aria-hidden="true"></i></a></td>
                              </tr>
                               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php else: ?>
                       <tr>
                            <td colspan="6">No record found!</td>
                       </tr>
                    <?php endif; ?>
                          </tbody>
                      </table>
                       <div class="col-xs-12 pull-right">
                	<?php echo e($deliveryslot->links()); ?>

                </div>
                  </div>
      <div class="clearfix"></div>
    </div>
  </div>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ctowncp/cp.ctown.jo/deliveryapp/resources/views/delivery_slot/index.blade.php ENDPATH**/ ?>