
<?php $__env->startPush('css_lib'); ?>
<!-- iCheck -->
<link rel="stylesheet" href="<?php echo e(asset('plugins/iCheck/flat/blue.css')); ?>">
<!-- select2 -->
<link rel="stylesheet" href="<?php echo e(asset('plugins/select2/select2.min.css')); ?>">
<!-- bootstrap wysihtml5 - text editor -->
<link rel="stylesheet" href="<?php echo e(asset('plugins/summernote/summernote-bs4.css')); ?>">

<link rel="stylesheet" href="<?php echo e(asset('plugins/dropzone/bootstrap.min.css')); ?>">
<style>
     #esearchcity{
        left:unset !important;
    }
    .alert.alert-danger{
        color: #a94442!important;
        background: #f2dede!important;
        border: 1px solid !important;
        padding: 10px 23px;
        margin-bottom: 10px;
        text-align: center;
    }
     .alert.alert-success{
        background: #dff2bf!important;
        color: #4f8a10!important;
        border: 1px solid !important;
        padding: 10px 23px;
        margin-bottom: 10px;
        text-align: center;
    }
</style>
<?php $__env->stopPush(); ?>
<?php $__env->startSection('title',trans('lang.locations_table')); ?>
<?php $__env->startSection('content'); ?>
  <?php echo $__env->make('flash::message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <?php echo $__env->make('adminlte-templates::common.errors', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <div class="clearfix"></div>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link" href="<?php echo route('customers.index'); ?>"><i class="fa fa-list mr-2"></i>Customers List</a>
        </li>
        <!--<li class="nav-item">-->
        <!--  <a class="nav-link" href="<?php echo route('locations.create'); ?>"><i class="fa fa-plus mr-2"></i>Add Help and support</a>-->
        <!--</li>-->
        <li class="nav-item">
          <a class="nav-link active" href="<?php echo url()->current(); ?>"><i class="fa fa-pencil mr-2"></i>View/Edit Customers Details</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="<?php echo route('customers.addressedit'); ?>?customer_id=<?php echo e($customersavailableedit->entity_id); ?>"><i class="fa fa-pencil mr-2"></i>View/Edit Addresses</a>
        </li>
      </ul>
    </div>
    <div class="card-body">
        <div class="container">
          <div class="row">
            <div class="col-sm-12 mb-5">
                <h3>Account Information</h3><hr>
                <?php echo Form::open(['route' => ['customers.update', $customersavailableedit->entity_id], 'method' => 'patch']); ?>

                    <?php $customers = app('\DB'); ?>
                    <?php 
                        $customersigninphone = $customers::table('customer_entity_varchar')->where('entity_id',$customersavailableedit->entity_id)->first();
                    ?>
                  <div class="form-group">
                    <label for="phoneNumber">Sign In Phone Number</label>
                    <input type="text" value="<?php echo e(isset($customersigninphone->value)?$customersigninphone->value:""); ?>" name="sign_in_phone_number" class="form-control" id="phoneNumber">
                  </div>
                  <div class="form-group">
                    <label for="firstName">First Name <span style="color:red;">*</span></label>
                    <input type="text" required value="<?php echo e(isset($customersavailableedit->firstname)? $customersavailableedit->firstname : ''); ?>" name="first_name" class="form-control" id="firstName">
                  </div>
                  <div class="form-group">
                    <label for="middleName">Middle Name</label>
                    <input type="text" value="<?php echo e(isset($customersavailableedit->middlename)? $customersavailableedit->middlename : ''); ?>" name="middle_name" class="form-control" id="middleName">
                  </div>
                  <div class="form-group">
                    <label for="lastName">Last Name <span style="color:red;">*</span></label>
                    <input type="text" required value="<?php echo e(isset($customersavailableedit->lastname)? $customersavailableedit->lastname : ''); ?>" name="last_name" class="form-control" id="lastName">
                  </div>
                  <div class="form-group">
                    <label for="email">Email <span style="color:red;">*</span></label>
                    <input type="email" required value="<?php echo e(isset($customersavailableedit->email)? $customersavailableedit->email : ''); ?>" name="email" class="form-control" id="email">
                  </div>
                  <div class="form-group">
                    <label for="group">Group <span style="color:red;">*</span></label>
                    <select required class="form-control" name="group" id="group">
                       <?php 
                            $customergroup = $customers::table('customer_group')->get();
                        ?>
                          <?php $__currentLoopData = $customergroup; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $customergroup1): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>    
                            <option <?php if($customergroup1->customer_group_id == $customersavailableedit->group_id): ?> selected <?php endif; ?> value="<?php echo e($customergroup1->customer_group_id); ?>"><?php echo e($customergroup1->customer_group_code); ?></option>
                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                  </div>
                  <button type="submit" name="update_customer" class="btn btn-primary">Update</button>
                <?php echo Form::close(); ?>

            </div>
          </div>
          </div>
        </div>
        <div class="clearfix"></div>
    </div>
  </div>
</div>
<?php echo $__env->make('layouts.media_modal',['collection'=>null], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('scripts_lib'); ?>
<!-- iCheck -->

<script src="<?php echo e(asset('plugins/iCheck/icheck.min.js')); ?>"></script>
<!-- select2 -->
<script src="<?php echo e(asset('plugins/select2/select2.min.js')); ?>"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="<?php echo e(asset('plugins/summernote/summernote-bs4.min.js')); ?>"></script>

<script src="<?php echo e(asset('plugins/dropzone/dropzone.js')); ?>"></script>
<script type="text/javascript">
    Dropzone.autoDiscover = false;
    var dropzoneFields = [];
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ctownlive/cp.ctown.jo/deliveryapp/resources/views/customers/edit.blade.php ENDPATH**/ ?>