
<?php $__env->startPush('css_lib'); ?>
<!-- iCheck -->
<link rel="stylesheet" href="<?php echo e(asset('plugins/iCheck/flat/blue.css')); ?>">
<!-- select2 -->
<link rel="stylesheet" href="<?php echo e(asset('plugins/select2/select2.min.css')); ?>">
<!-- bootstrap wysihtml5 - text editor -->
<link rel="stylesheet" href="<?php echo e(asset('plugins/summernote/summernote-bs4.css')); ?>">

<link rel="stylesheet" href="<?php echo e(asset('plugins/dropzone/bootstrap.min.css')); ?>">
<?php $__env->stopPush(); ?>
<?php $__env->startSection('title',"Sms Settings"); ?>
<?php $__env->startSection('content'); ?>
  <?php echo $__env->make('flash::message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <?php echo $__env->make('adminlte-templates::common.errors', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <div class="clearfix"></div>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
         <li class="nav-item">
          <a class="nav-link active" href="<?php echo url()->current(); ?>"><i class="fa fa-pencil mr-2"></i>Add</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="<?php echo route('sms.index'); ?>"><i class="fa fa-list mr-2"></i>SMS</a>
        </li>
      </ul>
    </div>
    <div class="card-body">
<?php echo Form::open(['route' => 'sms.store']); ?>

<div class="row">
    <!-- Name Field -->
    <div class="form-group row col-12">
        <?php echo Form::label('country', 'Country Name', ['class' => 'col-5 control-label text-right']); ?>

            <div class="col-7">
            <select class="form-control" required="true" onchange="storeList(this.value , '');" name="country" id="country">
            <?php if(count($country)>0): ?>
            <?php $__currentLoopData = $country; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$conty): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <option value="<?php echo e($conty['country_code']); ?>"><?php echo e($conty['country_name']); ?></option>  
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endif; ?>
            </select>   
            </div>
    </div>
    <div class="form-group row col-12">
    <?php echo Form::label('store_id', trans("lang.store_name"), ['class' => 'col-5 control-label text-right']); ?>

          <div class="col-7">
                            <select class="form-control" required="true" name="store_id" id="store_id">
                                <option value="">Please Select Country</option>
                            </select>  
         </div>
    </div>
    <!-- <div class="form-group row col-12">-->
    <!--    <?php echo Form::label('store_name', trans("lang.store_name"), ['class' => 'col-5 control-label text-right']); ?>-->
    <!--        <div class="col-7">-->
    <!--        <select class="form-control" name="store_id" id="store_id">-->
    <!--        <?php if(count($store)>0): ?>-->
    <!--        <?php $__currentLoopData = $store; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$store1): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>-->
    <!--        <option value="<?php echo e($store1->group_id); ?>"><?php echo e($store1->name); ?></option>  -->
    <!--        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>-->
    <!--        <?php endif; ?>-->
    <!--        </select>   -->
    <!--        </div>-->
    <!--</div>-->
    <div class="form-group row col-12">
        <?php echo Form::label('url',"Url", ['class' => 'col-5 control-label text-right']); ?>

        <div class="col-7">
            <?php echo Form::text('url', '',  ['class' => 'form-control','placeholder'=>  "Url"]); ?>

            <div class="form-text text-muted">
                Sms Url
            </div>
        </div>
    </div>
    <div class="form-group row col-12">
        <?php echo Form::label('country_code',"Country Code", ['class' => 'col-5 control-label text-right']); ?>

        <div class="col-7">
            <?php echo Form::number('country_code', '',  ['class' => 'form-control','placeholder'=>  "Country Code"]); ?>

            <div class="form-text text-muted">
                Country Code
            </div>
        </div>
    </div>
    
</div>
<!-- Submit Field -->
<div class="form-group col-12 text-right">
    <button type="submit" class="btn btn-<?php echo e(setting('theme_color')); ?>"><i class="fa fa-save"></i> <?php echo e(trans('lang.save')); ?></button>
    <a href="<?php echo route('sms.index'); ?>" class="btn btn-default"><i class="fa fa-undo"></i> <?php echo e(trans('lang.cancel')); ?></a>
</div>

      </div>
      <?php echo Form::close(); ?>

      <div class="clearfix"></div>
    </div>
  </div>
</div>
<?php echo $__env->make('layouts.media_modal',['collection'=>null], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('scripts_lib'); ?>
<!-- iCheck -->
<script src="<?php echo e(asset('plugins/iCheck/icheck.min.js')); ?>"></script>
<!-- select2 -->
<script src="https://code.jquery.com/jquery-1.10.1.min.js">
<script src="<?php echo e(asset('plugins/select2/select2.min.js')); ?>"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="<?php echo e(asset('plugins/summernote/summernote-bs4.min.js')); ?>"></script>

<script src="<?php echo e(asset('plugins/dropzone/dropzone.js')); ?>"></script>
<script type="text/javascript">
    Dropzone.autoDiscover = false;
    var dropzoneFields = [];
// Store value get    
$(document).ready(function(){
    var country = $('#country').val();
    storeList(country, '');
});
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ahmarket/cp.ahmarket.com/deliveryapp/resources/views/sms/create.blade.php ENDPATH**/ ?>