<!-- Name Field -->
<div class="form-group row col-6">
    <?php echo Form::label('name', 'Name:', ['class' => 'col-4 control-label text-right']); ?>
    <div class="col-8">
        <?php echo Form::text('name', null, ['class' => 'form-control','placeholder'=>
        (Lang::has("lang.role_name_placeholder")) ? trans("lang.role_name_placeholder") : "Name here"]); ?>
        <div class="form-text text-muted">
            <?php echo e((Lang::has("lang.role_name_help")) ? trans("lang.role_name_help") : "Insert the Name"); ?>
        </div>
    </div>
</div>

<!-- Guard Name Field -->
<div class="form-group row col-6">
    <?php echo Form::label('guard_name', 'Guard Name:', ['class' => 'col-4 control-label text-right']); ?>
    <div class="col-8">
        <?php echo Form::text('guard_name', null, ['class' => 'form-control','placeholder'=>
      (Lang::has("lang.role_name_placeholder")) ? trans("lang.role_guard_name_placeholder") : "Name guard_name"]); ?>
        <div class="form-text text-muted">
            <?php echo e((Lang::has("lang.role_guard_name_help")) ? trans("lang.role_guard_name_help") : "Insert the guard_name"); ?>
        </div>
    </div>
</div>

<!-- Guard Name Field -->
<div class="form-group row col-6">
    <?php echo Form::label('role_type', 'Role Type:', ['class' => 'col-4 control-label text-right']); ?>
    <div class="col-8">
       <select class="form-control" required="true" name="role_type" id="role_type">
           <?php $role_type=isset($role->role_type) ? $role->role_type :'';?>
              <option value="">Choose Type</option>
              <option value="picker" <?php if($role_type=='picker'){echo "selected";}?>>Picker</option>
              <option value="driver" <?php if($role_type=='driver'){echo "selected";}?>>Driver</option>
              <option value="manager" <?php if($role_type=='manager'){echo "selected";}?>>Manager</option>
              <option value="admin" <?php if($role_type=='admin'){echo "selected";}?>>Admin</option>
        </select>
        <div class="form-text text-muted">
            Role Type
        </div>
    </div>
</div>


<!-- 'Boolean Default Field' -->
<div class="form-group row col-6">
    <?php echo Form::label('default', trans("lang.role_default"),['class' => 'col-4 control-label text-right']); ?>
    <div class="checkbox icheck">
        <label class="col-8 ml-2 form-check-inline">
            <?php echo Form::hidden('default', 0); ?>
            <?php echo Form::checkbox('default', 1, null); ?>
        </label>

    </div>
</div>

<!-- Submit Field -->
<div class="form-group col-sm-12 text-right">
    <button type="submit" class="btn btn-<?php echo e(setting('theme_color')); ?>" ><i class="fa fa-save"></i> <?php echo e(trans('lang.save')); ?> <?php echo e(trans('lang.role')); ?></button>
    <a href="<?php echo route('roles.index'); ?>" class="btn btn-default"><i class="fa fa-undo"></i> <?php echo e(trans('lang.cancel')); ?></a>
</div>
<?php /**PATH /home/ctowncp/cp.ctown.jo/deliveryapp/resources/views/settings/roles/fields.blade.php ENDPATH**/ ?>